searchData={"content_type":"text/markdown","items":[{"doc":"API calls for all endpoints tagged `Courier`.","ref":"Ory.Api.Courier.html","title":"Ory.Api.Courier","type":"module"},{"doc":"Get a Message\nGets a specific messages by the given ID.\n\n#","ref":"Ory.Api.Courier.html#get_courier_message/3","title":"Ory.Api.Courier.get_courier_message/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): MessageID is the ID of the message.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Courier.html#get_courier_message/3-parameters","title":"Parameters - Ory.Api.Courier.get_courier_message/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Message.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Courier.html#get_courier_message/3-returns","title":"Returns - Ory.Api.Courier.get_courier_message/3","type":"function"},{"doc":"List Messages\nLists all messages by given status and recipient.\n\n#","ref":"Ory.Api.Courier.html#list_courier_messages/2","title":"Ory.Api.Courier.list_courier_messages/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:page_size` (integer()): Items per Page  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:status` (CourierMessageStatus): Status filters out messages based on status. If no value is provided, it doesn't take effect on filter.\n  - `:recipient` (String.t): Recipient filters out messages based on recipient. If no value is provided, it doesn't take effect on filter.\n\n#","ref":"Ory.Api.Courier.html#list_courier_messages/2-parameters","title":"Parameters - Ory.Api.Courier.list_courier_messages/2","type":"function"},{"doc":"- `{:ok, [%Message{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Courier.html#list_courier_messages/2-returns","title":"Returns - Ory.Api.Courier.list_courier_messages/2","type":"function"},{"doc":"API calls for all endpoints tagged `Frontend`.","ref":"Ory.Api.Frontend.html","title":"Ory.Api.Frontend","type":"module"},{"doc":"Create Login Flow for Browsers\nThis endpoint initializes a browser-based user login flow. This endpoint will set the appropriate cookies and anti-CSRF measures required for browser-based flows.  If this endpoint is opened as a link in the browser, it will be redirected to `selfservice.flows.login.ui_url` with the flow ID set as the query parameter `?flow=`. If a valid user session exists already, the browser will be redirected to `urls.default_redirect_url` unless the query parameter `?refresh=true` was set.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `session_aal1_required`: Multi-factor auth (e.g. 2fa) was requested but the user has no session yet. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration!  The optional query parameter login_challenge is set when using Kratos with Hydra in an OAuth2 flow. See the oauth2_provider.url configuration option.  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#create_browser_login_flow/2","title":"Ory.Api.Frontend.create_browser_login_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:refresh` (boolean()): Refresh a login session  If set to true, this will refresh an existing login session by asking the user to sign in again. This will reset the authenticated_at time of the session.\n  - `:aal` (String.t): Request a Specific AuthenticationMethod Assurance Level  Use this parameter to upgrade an existing session's authenticator assurance level (AAL). This allows you to ask for multi-factor authentication. When an identity sign in using e.g. username+password, the AAL is 1. If you wish to \"upgrade\" the session's security by asking the user to perform TOTP / WebAuth/ ... you would set this to \"aal2\".\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n  - `:login_challenge` (String.t): An optional Hydra login challenge. If present, Kratos will cooperate with Ory Hydra to act as an OAuth2 identity provider.  The value for this parameter comes from `login_challenge` URL Query parameter sent to your application (e.g. `/login?login_challenge=abcde`).\n  - `:organization` (String.t): An optional organization ID that should be used for logging this user in. This parameter is only effective in the Ory Network.\n\n#","ref":"Ory.Api.Frontend.html#create_browser_login_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_login_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.LoginFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_login_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_login_flow/2","type":"function"},{"doc":"Create a Logout URL for Browsers\nThis endpoint initializes a browser-based user logout flow and a URL which can be used to log out the user.  This endpoint is NOT INTENDED for API clients and only works with browsers (Chrome, Firefox, ...). For API clients you can call the `/self-service/logout/api` URL directly with the Ory Session Token.  The URL is only valid for the currently signed in user. If no user is signed in, this endpoint returns a 401 error.  When calling this endpoint from a backend, please ensure to properly forward the HTTP cookies.\n\n#","ref":"Ory.Api.Frontend.html#create_browser_logout_flow/2","title":"Ory.Api.Frontend.create_browser_logout_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:cookie` (String.t): HTTP Cookies  If you call this endpoint from a backend, please include the original Cookie header in the request.\n  - `:return_to` (String.t): Return to URL  The URL to which the browser should be redirected to after the logout has been performed.\n\n#","ref":"Ory.Api.Frontend.html#create_browser_logout_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_logout_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.LogoutFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_logout_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_logout_flow/2","type":"function"},{"doc":"Create Recovery Flow for Browsers\nThis endpoint initializes a browser-based account recovery flow. Once initialized, the browser will be redirected to `selfservice.flows.recovery.ui_url` with the flow ID set as the query parameter `?flow=`. If a valid user session exists, the browser is returned to the configured return URL.  If this endpoint is called via an AJAX request, the response contains the recovery flow without any redirects or a 400 bad request error if the user is already authenticated.  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).\n\n#","ref":"Ory.Api.Frontend.html#create_browser_recovery_flow/2","title":"Ory.Api.Frontend.create_browser_recovery_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n\n#","ref":"Ory.Api.Frontend.html#create_browser_recovery_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_recovery_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_recovery_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_recovery_flow/2","type":"function"},{"doc":"Create Registration Flow for Browsers\nThis endpoint initializes a browser-based user registration flow. This endpoint will set the appropriate cookies and anti-CSRF measures required for browser-based flows.  If this endpoint is opened as a link in the browser, it will be redirected to `selfservice.flows.registration.ui_url` with the flow ID set as the query parameter `?flow=`. If a valid user session exists already, the browser will be redirected to `urls.default_redirect_url`.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration!  If this endpoint is called via an AJAX request, the response contains the registration flow without a redirect.  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#create_browser_registration_flow/2","title":"Ory.Api.Frontend.create_browser_registration_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:login_challenge` (String.t): Ory OAuth 2.0 Login Challenge.  If set will cooperate with Ory OAuth2 and OpenID to act as an OAuth2 server / OpenID Provider.  The value for this parameter comes from `login_challenge` URL Query parameter sent to your application (e.g. `/registration?login_challenge=abcde`).  This feature is compatible with Ory Hydra when not running on the Ory Network.\n  - `:after_verification_return_to` (String.t): The URL to return the browser to after the verification flow was completed.  After the registration flow is completed, the user will be sent a verification email. Upon completing the verification flow, this URL will be used to override the default `selfservice.flows.verification.after.default_redirect_to` value.\n  - `:organization` (String.t): \n\n#","ref":"Ory.Api.Frontend.html#create_browser_registration_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_registration_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RegistrationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_registration_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_registration_flow/2","type":"function"},{"doc":"Create Settings Flow for Browsers\nThis endpoint initializes a browser-based user settings flow. Once initialized, the browser will be redirected to `selfservice.flows.settings.ui_url` with the flow ID set as the query parameter `?flow=`. If no valid Ory Kratos Session Cookie is included in the request, a login flow will be initialized.  If this endpoint is opened as a link in the browser, it will be redirected to `selfservice.flows.settings.ui_url` with the flow ID set as the query parameter `?flow=`. If no valid user session was set, the browser will be redirected to the login endpoint.  If this endpoint is called via an AJAX request, the response contains the settings flow without any redirects or a 401 forbidden error if no valid session was set.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor (happens automatically for server-side browser flows) or change the configuration.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration!  This endpoint is NOT INTENDED for clients that do not have a browser (Chrome, Firefox, ...) as cookies are needed.  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).\n\n#","ref":"Ory.Api.Frontend.html#create_browser_settings_flow/2","title":"Ory.Api.Frontend.create_browser_settings_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#create_browser_settings_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_settings_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_settings_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_settings_flow/2","type":"function"},{"doc":"Create Verification Flow for Browser Clients\nThis endpoint initializes a browser-based account verification flow. Once initialized, the browser will be redirected to `selfservice.flows.verification.ui_url` with the flow ID set as the query parameter `?flow=`.  If this endpoint is called via an AJAX request, the response contains the recovery flow without any redirects.  This endpoint is NOT INTENDED for API clients and only works with browsers (Chrome, Firefox, ...).  More information can be found at [Ory Kratos Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).\n\n#","ref":"Ory.Api.Frontend.html#create_browser_verification_flow/2","title":"Ory.Api.Frontend.create_browser_verification_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n\n#","ref":"Ory.Api.Frontend.html#create_browser_verification_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_browser_verification_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_browser_verification_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_browser_verification_flow/2","type":"function"},{"doc":"Create Login Flow for Native Apps\nThis endpoint initiates a login flow for native apps that do not use a browser, such as mobile devices, smart TVs, and so on.  If a valid provided session cookie or session token is provided, a 400 Bad Request error will be returned unless the URL query parameter `?refresh=true` is set.  To fetch an existing login flow call `/self-service/login/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks, including CSRF login attacks.  In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `session_aal1_required`: Multi-factor auth (e.g. 2fa) was requested but the user has no session yet. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#create_native_login_flow/2","title":"Ory.Api.Frontend.create_native_login_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:refresh` (boolean()): Refresh a login session  If set to true, this will refresh an existing login session by asking the user to sign in again. This will reset the authenticated_at time of the session.\n  - `:aal` (String.t): Request a Specific AuthenticationMethod Assurance Level  Use this parameter to upgrade an existing session's authenticator assurance level (AAL). This allows you to ask for multi-factor authentication. When an identity sign in using e.g. username+password, the AAL is 1. If you wish to \"upgrade\" the session's security by asking the user to perform TOTP / WebAuth/ ... you would set this to \"aal2\".\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.\n  - `:return_session_token_exchange_code` (boolean()): EnableSessionTokenExchangeCode requests the login flow to include a code that can be used to retrieve the session token after the login flow has been completed.\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n\n#","ref":"Ory.Api.Frontend.html#create_native_login_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_login_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.LoginFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_login_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_login_flow/2","type":"function"},{"doc":"Create Recovery Flow for Native Apps\nThis endpoint initiates a recovery flow for API clients such as mobile devices, smart TVs, and so on.  If a valid provided session cookie or session token is provided, a 400 Bad Request error.  To fetch an existing recovery flow call `/self-service/recovery/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).\n\n#","ref":"Ory.Api.Frontend.html#create_native_recovery_flow/2","title":"Ory.Api.Frontend.create_native_recovery_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Frontend.html#create_native_recovery_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_recovery_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_recovery_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_recovery_flow/2","type":"function"},{"doc":"Create Registration Flow for Native Apps\nThis endpoint initiates a registration flow for API clients such as mobile devices, smart TVs, and so on.  If a valid provided session cookie or session token is provided, a 400 Bad Request error will be returned unless the URL query parameter `?refresh=true` is set.  To fetch an existing registration flow call `/self-service/registration/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#create_native_registration_flow/2","title":"Ory.Api.Frontend.create_native_registration_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:return_session_token_exchange_code` (boolean()): EnableSessionTokenExchangeCode requests the login flow to include a code that can be used to retrieve the session token after the login flow has been completed.\n  - `:return_to` (String.t): The URL to return the browser to after the flow was completed.\n\n#","ref":"Ory.Api.Frontend.html#create_native_registration_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_registration_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RegistrationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_registration_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_registration_flow/2","type":"function"},{"doc":"Create Settings Flow for Native Apps\nThis endpoint initiates a settings flow for API clients such as mobile devices, smart TVs, and so on. You must provide a valid Ory Kratos Session Token for this endpoint to respond with HTTP 200 OK.  To fetch an existing settings flow call `/self-service/settings/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor or change the configuration.  In the case of an error, the `error.id` of the JSON response body can be one of:  `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).\n\n#","ref":"Ory.Api.Frontend.html#create_native_settings_flow/2","title":"Ory.Api.Frontend.create_native_settings_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.\n\n#","ref":"Ory.Api.Frontend.html#create_native_settings_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_settings_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_settings_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_settings_flow/2","type":"function"},{"doc":"Create Verification Flow for Native Apps\nThis endpoint initiates a verification flow for API clients such as mobile devices, smart TVs, and so on.  To fetch an existing verification flow call `/self-service/verification/flows?flow= `.  You MUST NOT use this endpoint in client-side (Single Page Apps, ReactJS, AngularJS) nor server-side (Java Server Pages, NodeJS, PHP, Golang, ...) browser applications. Using this endpoint in these applications will make you vulnerable to a variety of CSRF attacks.  This endpoint MUST ONLY be used in scenarios such as native mobile apps (React Native, Objective C, Swift, Java, ...).  More information can be found at [Ory Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).\n\n#","ref":"Ory.Api.Frontend.html#create_native_verification_flow/2","title":"Ory.Api.Frontend.create_native_verification_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Frontend.html#create_native_verification_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.create_native_verification_flow/2","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#create_native_verification_flow/2-returns","title":"Returns - Ory.Api.Frontend.create_native_verification_flow/2","type":"function"},{"doc":"Disable my other sessions\nCalling this endpoint invalidates all except the current session that belong to the logged-in user. Session data are not deleted.\n\n#","ref":"Ory.Api.Frontend.html#disable_my_other_sessions/2","title":"Ory.Api.Frontend.disable_my_other_sessions/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.\n\n#","ref":"Ory.Api.Frontend.html#disable_my_other_sessions/2-parameters","title":"Parameters - Ory.Api.Frontend.disable_my_other_sessions/2","type":"function"},{"doc":"- `{:ok, Ory.Model.DeleteMySessionsCount.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#disable_my_other_sessions/2-returns","title":"Returns - Ory.Api.Frontend.disable_my_other_sessions/2","type":"function"},{"doc":"Disable one of my sessions\nCalling this endpoint invalidates the specified session. The current session cannot be revoked. Session data are not deleted.\n\n#","ref":"Ory.Api.Frontend.html#disable_my_session/3","title":"Ory.Api.Frontend.disable_my_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.\n\n#","ref":"Ory.Api.Frontend.html#disable_my_session/3-parameters","title":"Parameters - Ory.Api.Frontend.disable_my_session/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#disable_my_session/3-returns","title":"Returns - Ory.Api.Frontend.disable_my_session/3","type":"function"},{"doc":"Exchange Session Token\n\n#","ref":"Ory.Api.Frontend.html#exchange_session_token/4","title":"Ory.Api.Frontend.exchange_session_token/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `init_code` (String.t): The part of the code return when initializing the flow.\n- `return_to_code` (String.t): The part of the code returned by the return_to URL.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Frontend.html#exchange_session_token/4-parameters","title":"Parameters - Ory.Api.Frontend.exchange_session_token/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulNativeLogin.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#exchange_session_token/4-returns","title":"Returns - Ory.Api.Frontend.exchange_session_token/4","type":"function"},{"doc":"Get User-Flow Errors\nThis endpoint returns the error associated with a user-facing self service errors.  This endpoint supports stub values to help you implement the error UI:  `?id=stub:500` - returns a stub 500 (Internal Server Error) error.  More information can be found at [Ory Kratos User User Facing Error Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-facing-errors).\n\n#","ref":"Ory.Api.Frontend.html#get_flow_error/3","title":"Ory.Api.Frontend.get_flow_error/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): Error is the error's ID\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Frontend.html#get_flow_error/3-parameters","title":"Parameters - Ory.Api.Frontend.get_flow_error/3","type":"function"},{"doc":"- `{:ok, Ory.Model.FlowError.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_flow_error/3-returns","title":"Returns - Ory.Api.Frontend.get_flow_error/3","type":"function"},{"doc":"Get Login Flow\nThis endpoint returns a login flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/login', async function (req, res) { const flow = await client.getLoginFlow(req.header('cookie'), req.query['flow'])  res.render('login', flow) }) ```  This request may fail due to several reasons. The `error.id` can be one of:  `session_already_available`: The user is already signed in. `self_service_flow_expired`: The flow is expired and you should request a new one.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#get_login_flow/3","title":"Ory.Api.Frontend.get_login_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Login Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/login?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#get_login_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_login_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.LoginFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_login_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_login_flow/3","type":"function"},{"doc":"Get Recovery Flow\nThis endpoint returns a recovery flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/recovery', async function (req, res) { const flow = await client.getRecoveryFlow(req.header('Cookie'), req.query['flow'])  res.render('recovery', flow) }) ```  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).\n\n#","ref":"Ory.Api.Frontend.html#get_recovery_flow/3","title":"Ory.Api.Frontend.get_recovery_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Flow ID  The value for this parameter comes from `request` URL Query parameter sent to your application (e.g. `/recovery?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#get_recovery_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_recovery_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_recovery_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_recovery_flow/3","type":"function"},{"doc":"Get Registration Flow\nThis endpoint returns a registration flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/registration', async function (req, res) { const flow = await client.getRegistrationFlow(req.header('cookie'), req.query['flow'])  res.render('registration', flow) }) ```  This request may fail due to several reasons. The `error.id` can be one of:  `session_already_available`: The user is already signed in. `self_service_flow_expired`: The flow is expired and you should request a new one.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#get_registration_flow/3","title":"Ory.Api.Frontend.get_registration_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Registration Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/registration?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#get_registration_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_registration_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.RegistrationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_registration_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_registration_flow/3","type":"function"},{"doc":"Get Settings Flow\nWhen accessing this endpoint through Ory Kratos' Public API you must ensure that either the Ory Kratos Session Cookie or the Ory Kratos Session Token are set.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor or change the configuration.  You can access this endpoint without credentials when using Ory Kratos' Admin API.  If this endpoint is called via an AJAX request, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first. `security_identity_mismatch`: The flow was interrupted with `session_refresh_required` but apparently some other identity logged in instead.  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).\n\n#","ref":"Ory.Api.Frontend.html#get_settings_flow/3","title":"Ory.Api.Frontend.get_settings_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the Settings Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/settings?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token  When using the SDK in an app without a browser, please include the session token here.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#get_settings_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_settings_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_settings_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_settings_flow/3","type":"function"},{"doc":"Get Verification Flow\nThis endpoint returns a verification flow's context with, for example, error details and other information.  Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.  If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:  ```js pseudo-code example router.get('/recovery', async function (req, res) { const flow = await client.getVerificationFlow(req.header('cookie'), req.query['flow'])  res.render('verification', flow) }) ```  More information can be found at [Ory Kratos Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).\n\n#","ref":"Ory.Api.Frontend.html#get_verification_flow/3","title":"Ory.Api.Frontend.get_verification_flow/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The Flow ID  The value for this parameter comes from `request` URL Query parameter sent to your application (e.g. `/verification?flow=abcde`).\n- `opts` (keyword): Optional parameters\n  - `:cookie` (String.t): HTTP Cookies  When using the SDK on the server side you must include the HTTP Cookie Header originally sent to your HTTP handler here.\n\n#","ref":"Ory.Api.Frontend.html#get_verification_flow/3-parameters","title":"Parameters - Ory.Api.Frontend.get_verification_flow/3","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_verification_flow/3-returns","title":"Returns - Ory.Api.Frontend.get_verification_flow/3","type":"function"},{"doc":"Get WebAuthn JavaScript\nThis endpoint provides JavaScript which is needed in order to perform WebAuthn login and registration.  If you are building a JavaScript Browser App (e.g. in ReactJS or AngularJS) you will need to load this file:  ```html   ```  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#get_web_authn_java_script/2","title":"Ory.Api.Frontend.get_web_authn_java_script/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Frontend.html#get_web_authn_java_script/2-parameters","title":"Parameters - Ory.Api.Frontend.get_web_authn_java_script/2","type":"function"},{"doc":"- `{:ok, String.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#get_web_authn_java_script/2-returns","title":"Returns - Ory.Api.Frontend.get_web_authn_java_script/2","type":"function"},{"doc":"Get My Active Sessions\nThis endpoints returns all other active sessions that belong to the logged-in user. The current session can be retrieved by calling the `/sessions/whoami` endpoint.\n\n#","ref":"Ory.Api.Frontend.html#list_my_sessions/2","title":"Ory.Api.Frontend.list_my_sessions/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.\n\n#","ref":"Ory.Api.Frontend.html#list_my_sessions/2-parameters","title":"Parameters - Ory.Api.Frontend.list_my_sessions/2","type":"function"},{"doc":"- `{:ok, [%Session{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#list_my_sessions/2-returns","title":"Returns - Ory.Api.Frontend.list_my_sessions/2","type":"function"},{"doc":"Perform Logout for Native Apps\nUse this endpoint to log out an identity using an Ory Session Token. If the Ory Session Token was successfully revoked, the server returns a 204 No Content response. A 204 No Content response is also sent when the Ory Session Token has been revoked already before.  If the Ory Session Token is malformed or does not exist a 403 Forbidden response will be returned.  This endpoint does not remove any HTTP Cookies - use the Browser-Based Self-Service Logout Flow instead.\n\n#","ref":"Ory.Api.Frontend.html#perform_native_logout/3","title":"Ory.Api.Frontend.perform_native_logout/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `perform_native_logout_body` (PerformNativeLogoutBody): \n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Frontend.html#perform_native_logout/3-parameters","title":"Parameters - Ory.Api.Frontend.perform_native_logout/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#perform_native_logout/3-returns","title":"Returns - Ory.Api.Frontend.perform_native_logout/3","type":"function"},{"doc":"Check Who the Current HTTP Session Belongs To\nUses the HTTP Headers in the GET request to determine (e.g. by using checking the cookies) who is authenticated. Returns a session object in the body or 401 if the credentials are invalid or no credentials were sent. When the request it successful it adds the user ID to the 'X-Kratos-Authenticated-Identity-Id' header in the response.  If you call this endpoint from a server-side application, you must forward the HTTP Cookie Header to this endpoint:  ```js pseudo-code example router.get('/protected-endpoint', async function (req, res) { const session = await client.toSession(undefined, req.header('cookie'))  console.log(session) }) ```  When calling this endpoint from a non-browser application (e.g. mobile app) you must include the session token:  ```js pseudo-code example ... const session = await client.toSession(\"the-session-token\")  console.log(session) ```  When using a token template, the token is included in the `tokenized` field of the session.  ```js pseudo-code example ... const session = await client.toSession(\"the-session-token\", { tokenize_as: \"example-jwt-template\" })  console.log(session.tokenized) // The JWT ```  Depending on your configuration this endpoint might return a 403 status code if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor or change the configuration.  This endpoint is useful for:  AJAX calls. Remember to send credentials and set up CORS correctly! Reverse proxies and API Gateways Server-side calls - use the `X-Session-Token` header!  This endpoint authenticates users by checking:  if the `Cookie` HTTP header was set containing an Ory Kratos Session Cookie; if the `Authorization: bearer  ` HTTP header was set with a valid Ory Kratos Session Token; if the `X-Session-Token` HTTP header was set with a valid Ory Kratos Session Token.  If none of these headers are set or the cookie or token are invalid, the endpoint returns a HTTP 401 status code.  As explained above, this request may fail due to several reasons. The `error.id` can be one of:  `session_inactive`: No active session was found in the request (e.g. no Ory Session Cookie / Ory Session Token). `session_aal2_required`: An active session was found but it does not fulfil the Authenticator Assurance Level, implying that the session must (e.g.) authenticate the second factor.\n\n#","ref":"Ory.Api.Frontend.html#to_session/2","title":"Ory.Api.Frontend.to_session/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): Set the Session Token when calling from non-browser clients. A session token has a format of `MP2YWEMeM8MxjkGKpH4dqOQ4Q4DlSPaj`.\n  - `:Cookie` (String.t): Set the Cookie Header. This is especially useful when calling this endpoint from a server-side application. In that scenario you must include the HTTP Cookie Header which originally was included in the request to your server. An example of a session in the HTTP Cookie Header is: `ory_kratos_session=a19iOVAbdzdgl70Rq1QZmrKmcjDtdsviCTZx7m9a9yHIUS8Wa9T7hvqyGTsLHi6Qifn2WUfpAKx9DWp0SJGleIn9vh2YF4A16id93kXFTgIgmwIOvbVAScyrx7yVl6bPZnCx27ec4WQDtaTewC1CpgudeDV2jQQnSaCP6ny3xa8qLH-QUgYqdQuoA_LF1phxgRCUfIrCLQOkolX5nv3ze_f==`.  It is ok if more than one cookie are included here as all other cookies will be ignored.\n  - `:tokenize_as` (String.t): Returns the session additionally as a token (such as a JWT)  The value of this parameter has to be a valid, configured Ory Session token template. For more information head over to [the documentation](http://ory.sh/docs/identities/session-to-jwt-cors).\n\n#","ref":"Ory.Api.Frontend.html#to_session/2-parameters","title":"Parameters - Ory.Api.Frontend.to_session/2","type":"function"},{"doc":"- `{:ok, Ory.Model.Session.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#to_session/2-returns","title":"Returns - Ory.Api.Frontend.to_session/2","type":"function"},{"doc":"Submit a Login Flow\nUse this endpoint to complete a login flow. This endpoint behaves differently for API and browser flows.  API flows expect `application/json` to be sent in the body and responds with HTTP 200 and a application/json body with the session token on success; HTTP 410 if the original flow expired with the appropriate error messages set and optionally a `use_flow_id` parameter in the body; HTTP 400 on form validation errors.  Browser flows expect a Content-Type of `application/x-www-form-urlencoded` or `application/json` to be sent in the body and respond with a HTTP 303 redirect to the post/after login URL or the `return_to` value if it was set and if the login succeeded; a HTTP 303 redirect to the login UI URL with the flow ID containing the validation errors otherwise.  Browser flows with an accept header of `application/json` will not redirect but instead respond with HTTP 200 and a application/json body with the signed in identity and a `Set-Cookie` header on success; HTTP 303 redirect to a fresh login flow if the original flow expired with the appropriate error messages set; HTTP 400 on form validation errors.  If this endpoint is called with `Accept: application/json` in the header, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration! `browser_location_change_required`: Usually sent when an AJAX request indicates that the browser needs to open a specific URL. Most likely used in Social Sign In flows.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#update_login_flow/4","title":"Ory.Api.Frontend.update_login_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Login Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/login?flow=abcde`).\n- `update_login_flow_body` (UpdateLoginFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#update_login_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_login_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulNativeLogin.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_login_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_login_flow/4","type":"function"},{"doc":"Update Logout Flow\nThis endpoint logs out an identity in a self-service manner.  If the `Accept` HTTP header is not set to `application/json`, the browser will be redirected (HTTP 303 See Other) to the `return_to` parameter of the initial request or fall back to `urls.default_return_to`.  If the `Accept` HTTP header is set to `application/json`, a 204 No Content response will be sent on successful logout instead.  This endpoint is NOT INTENDED for API clients and only works with browsers (Chrome, Firefox, ...). For API clients you can call the `/self-service/logout/api` URL directly with the Ory Session Token.  More information can be found at [Ory Kratos User Logout Documentation](https://www.ory.sh/docs/next/kratos/self-service/flows/user-logout).\n\n#","ref":"Ory.Api.Frontend.html#update_logout_flow/2","title":"Ory.Api.Frontend.update_logout_flow/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:token` (String.t): A Valid Logout Token  If you do not have a logout token because you only have a session cookie, call `/self-service/logout/browser` to generate a URL for this endpoint.\n  - `:return_to` (String.t): The URL to return to after the logout was completed.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#update_logout_flow/2-parameters","title":"Parameters - Ory.Api.Frontend.update_logout_flow/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_logout_flow/2-returns","title":"Returns - Ory.Api.Frontend.update_logout_flow/2","type":"function"},{"doc":"Complete Recovery Flow\nUse this endpoint to complete a recovery flow. This endpoint behaves differently for API and browser flows and has several states:  `choose_method` expects `flow` (in the URL query) and `email` (in the body) to be sent and works with API- and Browser-initiated flows. For API clients and Browser clients with HTTP Header `Accept: application/json` it either returns a HTTP 200 OK when the form is valid and HTTP 400 OK when the form is invalid. and a HTTP 303 See Other redirect with a fresh recovery flow if the flow was otherwise invalid (e.g. expired). For Browser clients without HTTP Header `Accept` or with `Accept: text/*` it returns a HTTP 303 See Other redirect to the Recovery UI URL with the Recovery Flow ID appended. `sent_email` is the success state after `choose_method` for the `link` method and allows the user to request another recovery email. It works for both API and Browser-initiated flows and returns the same responses as the flow in `choose_method` state. `passed_challenge` expects a `token` to be sent in the URL query and given the nature of the flow (\"sending a recovery link\") does not have any API capabilities. The server responds with a HTTP 303 See Other redirect either to the Settings UI URL (if the link was valid) and instructs the user to update their password, or a redirect to the Recover UI URL with a new Recovery Flow ID which contains an error message that the recovery link was invalid.  More information can be found at [Ory Kratos Account Recovery Documentation](../self-service/flows/account-recovery).\n\n#","ref":"Ory.Api.Frontend.html#update_recovery_flow/4","title":"Ory.Api.Frontend.update_recovery_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Recovery Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/recovery?flow=abcde`).\n- `update_recovery_flow_body` (UpdateRecoveryFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:token` (String.t): Recovery Token  The recovery token which completes the recovery request. If the token is invalid (e.g. expired) an error will be shown to the end-user.  This parameter is usually set in a link and not used by any direct API call.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#update_recovery_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_recovery_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_recovery_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_recovery_flow/4","type":"function"},{"doc":"Update Registration Flow\nUse this endpoint to complete a registration flow by sending an identity's traits and password. This endpoint behaves differently for API and browser flows.  API flows expect `application/json` to be sent in the body and respond with HTTP 200 and a application/json body with the created identity success - if the session hook is configured the `session` and `session_token` will also be included; HTTP 410 if the original flow expired with the appropriate error messages set and optionally a `use_flow_id` parameter in the body; HTTP 400 on form validation errors.  Browser flows expect a Content-Type of `application/x-www-form-urlencoded` or `application/json` to be sent in the body and respond with a HTTP 303 redirect to the post/after registration URL or the `return_to` value if it was set and if the registration succeeded; a HTTP 303 redirect to the registration UI URL with the flow ID containing the validation errors otherwise.  Browser flows with an accept header of `application/json` will not redirect but instead respond with HTTP 200 and a application/json body with the signed in identity and a `Set-Cookie` header on success; HTTP 303 redirect to a fresh login flow if the original flow expired with the appropriate error messages set; HTTP 400 on form validation errors.  If this endpoint is called with `Accept: application/json` in the header, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_already_available`: The user is already signed in. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration! `browser_location_change_required`: Usually sent when an AJAX request indicates that the browser needs to open a specific URL. Most likely used in Social Sign In flows.  More information can be found at [Ory Kratos User Login](https://www.ory.sh/docs/kratos/self-service/flows/user-login) and [User Registration Documentation](https://www.ory.sh/docs/kratos/self-service/flows/user-registration).\n\n#","ref":"Ory.Api.Frontend.html#update_registration_flow/4","title":"Ory.Api.Frontend.update_registration_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Registration Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/registration?flow=abcde`).\n- `update_registration_flow_body` (UpdateRegistrationFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#update_registration_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_registration_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulNativeRegistration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_registration_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_registration_flow/4","type":"function"},{"doc":"Complete Settings Flow\nUse this endpoint to complete a settings flow by sending an identity's updated password. This endpoint behaves differently for API and browser flows.  API-initiated flows expect `application/json` to be sent in the body and respond with HTTP 200 and an application/json body with the session token on success; HTTP 303 redirect to a fresh settings flow if the original flow expired with the appropriate error messages set; HTTP 400 on form validation errors. HTTP 401 when the endpoint is called without a valid session token. HTTP 403 when `selfservice.flows.settings.privileged_session_max_age` was reached or the session's AAL is too low. Implies that the user needs to re-authenticate.  Browser flows without HTTP Header `Accept` or with `Accept: text/*` respond with a HTTP 303 redirect to the post/after settings URL or the `return_to` value if it was set and if the flow succeeded; a HTTP 303 redirect to the Settings UI URL with the flow ID containing the validation errors otherwise. a HTTP 303 redirect to the login endpoint when `selfservice.flows.settings.privileged_session_max_age` was reached or the session's AAL is too low.  Browser flows with HTTP Header `Accept: application/json` respond with HTTP 200 and a application/json body with the signed in identity and a `Set-Cookie` header on success; HTTP 303 redirect to a fresh login flow if the original flow expired with the appropriate error messages set; HTTP 401 when the endpoint is called without a valid session cookie. HTTP 403 when the page is accessed without a session cookie or the session's AAL is too low. HTTP 400 on form validation errors.  Depending on your configuration this endpoint might return a 403 error if the session has a lower Authenticator Assurance Level (AAL) than is possible for the identity. This can happen if the identity has password + webauthn credentials (which would result in AAL2) but the session has only AAL1. If this error occurs, ask the user to sign in with the second factor (happens automatically for server-side browser flows) or change the configuration.  If this endpoint is called with a `Accept: application/json` HTTP header, the response contains the flow without a redirect. In the case of an error, the `error.id` of the JSON response body can be one of:  `session_refresh_required`: The identity requested to change something that needs a privileged session. Redirect the identity to the login init endpoint with query parameters `?refresh=true&return_to= `, or initiate a refresh login flow otherwise. `security_csrf_violation`: Unable to fetch the flow because a CSRF violation occurred. `session_inactive`: No Ory Session was found - sign in a user first. `security_identity_mismatch`: The flow was interrupted with `session_refresh_required` but apparently some other identity logged in instead. `security_identity_mismatch`: The requested `?return_to` address is not allowed to be used. Adjust this in the configuration! `browser_location_change_required`: Usually sent when an AJAX request indicates that the browser needs to open a specific URL. Most likely used in Social Sign In flows.  More information can be found at [Ory Kratos User Settings & Profile Management Documentation](../self-service/flows/user-settings).\n\n#","ref":"Ory.Api.Frontend.html#update_settings_flow/4","title":"Ory.Api.Frontend.update_settings_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Settings Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/settings?flow=abcde`).\n- `update_settings_flow_body` (UpdateSettingsFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:\"X-Session-Token\"` (String.t): The Session Token of the Identity performing the settings flow.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#update_settings_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_settings_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.SettingsFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_settings_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_settings_flow/4","type":"function"},{"doc":"Complete Verification Flow\nUse this endpoint to complete a verification flow. This endpoint behaves differently for API and browser flows and has several states:  `choose_method` expects `flow` (in the URL query) and `email` (in the body) to be sent and works with API- and Browser-initiated flows. For API clients and Browser clients with HTTP Header `Accept: application/json` it either returns a HTTP 200 OK when the form is valid and HTTP 400 OK when the form is invalid and a HTTP 303 See Other redirect with a fresh verification flow if the flow was otherwise invalid (e.g. expired). For Browser clients without HTTP Header `Accept` or with `Accept: text/*` it returns a HTTP 303 See Other redirect to the Verification UI URL with the Verification Flow ID appended. `sent_email` is the success state after `choose_method` when using the `link` method and allows the user to request another verification email. It works for both API and Browser-initiated flows and returns the same responses as the flow in `choose_method` state. `passed_challenge` expects a `token` to be sent in the URL query and given the nature of the flow (\"sending a verification link\") does not have any API capabilities. The server responds with a HTTP 303 See Other redirect either to the Settings UI URL (if the link was valid) and instructs the user to update their password, or a redirect to the Verification UI URL with a new Verification Flow ID which contains an error message that the verification link was invalid.  More information can be found at [Ory Kratos Email and Phone Verification Documentation](https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation).\n\n#","ref":"Ory.Api.Frontend.html#update_verification_flow/4","title":"Ory.Api.Frontend.update_verification_flow/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `flow` (String.t): The Verification Flow ID  The value for this parameter comes from `flow` URL Query parameter sent to your application (e.g. `/verification?flow=abcde`).\n- `update_verification_flow_body` (UpdateVerificationFlowBody): \n- `opts` (keyword): Optional parameters\n  - `:token` (String.t): Verification Token  The verification token which completes the verification request. If the token is invalid (e.g. expired) an error will be shown to the end-user.  This parameter is usually set in a link and not used by any direct API call.\n  - `:Cookie` (String.t): HTTP Cookies  When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.\n\n#","ref":"Ory.Api.Frontend.html#update_verification_flow/4-parameters","title":"Parameters - Ory.Api.Frontend.update_verification_flow/4","type":"function"},{"doc":"- `{:ok, Ory.Model.VerificationFlow.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Frontend.html#update_verification_flow/4-returns","title":"Returns - Ory.Api.Frontend.update_verification_flow/4","type":"function"},{"doc":"API calls for all endpoints tagged `Identity`.","ref":"Ory.Api.Identity.html","title":"Ory.Api.Identity","type":"module"},{"doc":"Create and deletes multiple identities\nCreates or delete multiple [identities](https://www.ory.sh/docs/kratos/concepts/identity-user-model). This endpoint can also be used to [import credentials](https://www.ory.sh/docs/kratos/manage-identities/import-user-accounts-identities) for instance passwords, social sign in configurations or multifactor methods.\n\n#","ref":"Ory.Api.Identity.html#batch_patch_identities/2","title":"Ory.Api.Identity.batch_patch_identities/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (PatchIdentitiesBody): \n\n#","ref":"Ory.Api.Identity.html#batch_patch_identities/2-parameters","title":"Parameters - Ory.Api.Identity.batch_patch_identities/2","type":"function"},{"doc":"- `{:ok, Ory.Model.BatchPatchIdentitiesResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#batch_patch_identities/2-returns","title":"Returns - Ory.Api.Identity.batch_patch_identities/2","type":"function"},{"doc":"Create an Identity\nCreate an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model).  This endpoint can also be used to [import credentials](https://www.ory.sh/docs/kratos/manage-identities/import-user-accounts-identities) for instance passwords, social sign in configurations or multifactor methods.\n\n#","ref":"Ory.Api.Identity.html#create_identity/2","title":"Ory.Api.Identity.create_identity/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateIdentityBody): \n\n#","ref":"Ory.Api.Identity.html#create_identity/2-parameters","title":"Parameters - Ory.Api.Identity.create_identity/2","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#create_identity/2-returns","title":"Returns - Ory.Api.Identity.create_identity/2","type":"function"},{"doc":"Create a Recovery Code\nThis endpoint creates a recovery code which should be given to the user in order for them to recover (or activate) their account.\n\n#","ref":"Ory.Api.Identity.html#create_recovery_code_for_identity/2","title":"Ory.Api.Identity.create_recovery_code_for_identity/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateRecoveryCodeForIdentityBody): \n\n#","ref":"Ory.Api.Identity.html#create_recovery_code_for_identity/2-parameters","title":"Parameters - Ory.Api.Identity.create_recovery_code_for_identity/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryCodeForIdentity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#create_recovery_code_for_identity/2-returns","title":"Returns - Ory.Api.Identity.create_recovery_code_for_identity/2","type":"function"},{"doc":"Create a Recovery Link\nThis endpoint creates a recovery link which should be given to the user in order for them to recover (or activate) their account.\n\n#","ref":"Ory.Api.Identity.html#create_recovery_link_for_identity/2","title":"Ory.Api.Identity.create_recovery_link_for_identity/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateRecoveryLinkForIdentityBody): \n\n#","ref":"Ory.Api.Identity.html#create_recovery_link_for_identity/2-parameters","title":"Parameters - Ory.Api.Identity.create_recovery_link_for_identity/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RecoveryLinkForIdentity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#create_recovery_link_for_identity/2-returns","title":"Returns - Ory.Api.Identity.create_recovery_link_for_identity/2","type":"function"},{"doc":"Delete an Identity\nCalling this endpoint irrecoverably and permanently deletes the [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) given its ID. This action can not be undone. This endpoint returns 204 when the identity was deleted or when the identity was not found, in which case it is assumed that is has been deleted already.\n\n#","ref":"Ory.Api.Identity.html#delete_identity/3","title":"Ory.Api.Identity.delete_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Identity.html#delete_identity/3-parameters","title":"Parameters - Ory.Api.Identity.delete_identity/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#delete_identity/3-returns","title":"Returns - Ory.Api.Identity.delete_identity/3","type":"function"},{"doc":"Delete a credential for a specific identity\nDelete an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) credential by its type You can only delete second factor (aal2) credentials.\n\n#","ref":"Ory.Api.Identity.html#delete_identity_credentials/4","title":"Ory.Api.Identity.delete_identity_credentials/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `type` (String.t): Type is the credential's Type. One of totp, webauthn, lookup\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Identity.html#delete_identity_credentials/4-parameters","title":"Parameters - Ory.Api.Identity.delete_identity_credentials/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#delete_identity_credentials/4-returns","title":"Returns - Ory.Api.Identity.delete_identity_credentials/4","type":"function"},{"doc":"Delete & Invalidate an Identity's Sessions\nCalling this endpoint irrecoverably and permanently deletes and invalidates all sessions that belong to the given Identity.\n\n#","ref":"Ory.Api.Identity.html#delete_identity_sessions/3","title":"Ory.Api.Identity.delete_identity_sessions/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Identity.html#delete_identity_sessions/3-parameters","title":"Parameters - Ory.Api.Identity.delete_identity_sessions/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#delete_identity_sessions/3-returns","title":"Returns - Ory.Api.Identity.delete_identity_sessions/3","type":"function"},{"doc":"Deactivate a Session\nCalling this endpoint deactivates the specified session. Session data is not deleted.\n\n#","ref":"Ory.Api.Identity.html#disable_session/3","title":"Ory.Api.Identity.disable_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Identity.html#disable_session/3-parameters","title":"Parameters - Ory.Api.Identity.disable_session/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#disable_session/3-returns","title":"Returns - Ory.Api.Identity.disable_session/3","type":"function"},{"doc":"Extend a Session\nCalling this endpoint extends the given session ID. If `session.earliest_possible_extend` is set it will only extend the session after the specified time has passed.  Retrieve the session ID from the `/sessions/whoami` endpoint / `toSession` SDK method.\n\n#","ref":"Ory.Api.Identity.html#extend_session/3","title":"Ory.Api.Identity.extend_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Identity.html#extend_session/3-parameters","title":"Parameters - Ory.Api.Identity.extend_session/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Session.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#extend_session/3-returns","title":"Returns - Ory.Api.Identity.extend_session/3","type":"function"},{"doc":"Get an Identity\nReturn an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) by its ID. You can optionally include credentials (e.g. social sign in connections) in the response by using the `include_credential` query parameter.\n\n#","ref":"Ory.Api.Identity.html#get_identity/3","title":"Ory.Api.Identity.get_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of identity you want to get\n- `opts` (keyword): Optional parameters\n  - `:include_credential` ([String.t]): Include Credentials in Response  Include any credential, for example `password` or `oidc`, in the response. When set to `oidc`, This will return the initial OAuth 2.0 Access Token, OAuth 2.0 Refresh Token and the OpenID Connect ID Token if available.\n\n#","ref":"Ory.Api.Identity.html#get_identity/3-parameters","title":"Parameters - Ory.Api.Identity.get_identity/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#get_identity/3-returns","title":"Returns - Ory.Api.Identity.get_identity/3","type":"function"},{"doc":"Get Identity JSON Schema\nReturn a specific identity schema.\n\n#","ref":"Ory.Api.Identity.html#get_identity_schema/3","title":"Ory.Api.Identity.get_identity_schema/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of schema you want to get\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Identity.html#get_identity_schema/3-parameters","title":"Parameters - Ory.Api.Identity.get_identity_schema/3","type":"function"},{"doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#get_identity_schema/3-returns","title":"Returns - Ory.Api.Identity.get_identity_schema/3","type":"function"},{"doc":"Get Session\nThis endpoint is useful for:  Getting a session object with all specified expandables that exist in an administrative context.\n\n#","ref":"Ory.Api.Identity.html#get_session/3","title":"Ory.Api.Identity.get_session/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the session's ID.\n- `opts` (keyword): Optional parameters\n  - `:expand` ([String.t]): ExpandOptions is a query parameter encoded list of all properties that must be expanded in the Session. Example - ?expand=Identity&expand=Devices If no value is provided, the expandable properties are skipped.\n\n#","ref":"Ory.Api.Identity.html#get_session/3-parameters","title":"Parameters - Ory.Api.Identity.get_session/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Session.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#get_session/3-returns","title":"Returns - Ory.Api.Identity.get_session/3","type":"function"},{"doc":"List Identities\nLists all [identities](https://www.ory.sh/docs/kratos/concepts/identity-user-model) in the system.\n\n#","ref":"Ory.Api.Identity.html#list_identities/2","title":"Ory.Api.Identity.list_identities/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:consistency` (String.t): Read Consistency Level (preview)  The read consistency level determines the consistency guarantee for reads:  strong (slow): The read is guaranteed to return the most recent data committed at the start of the read. eventual (very fast): The result will return data that is about 4.8 seconds old.  The default consistency guarantee can be changed in the Ory Network Console or using the Ory CLI with `ory patch project --replace '/previews/default_read_consistency_level=\"strong\"'`.  Setting the default consistency level to `eventual` may cause regressions in the future as we add consistency controls to more APIs. Currently, the following APIs will be affected by this setting:  `GET /admin/identities`  This feature is in preview and only available in Ory Network.  ConsistencyLevelUnset  ConsistencyLevelUnset is the unset / default consistency level. strong ConsistencyLevelStrong  ConsistencyLevelStrong is the strong consistency level. eventual ConsistencyLevelEventual  ConsistencyLevelEventual is the eventual consistency level using follower read timestamps.\n  - `:credentials_identifier` (String.t): CredentialsIdentifier is the identifier (username, email) of the credentials to look up using exact match. Only one of CredentialsIdentifier and CredentialsIdentifierSimilar can be used.\n  - `:preview_credentials_identifier_similar` (String.t): This is an EXPERIMENTAL parameter that WILL CHANGE. Do NOT rely on consistent, deterministic behavior. THIS PARAMETER WILL BE REMOVED IN AN UPCOMING RELEASE WITHOUT ANY MIGRATION PATH.  CredentialsIdentifierSimilar is the (partial) identifier (username, email) of the credentials to look up using similarity search. Only one of CredentialsIdentifier and CredentialsIdentifierSimilar can be used.\n\n#","ref":"Ory.Api.Identity.html#list_identities/2-parameters","title":"Parameters - Ory.Api.Identity.list_identities/2","type":"function"},{"doc":"- `{:ok, [%Identity{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_identities/2-returns","title":"Returns - Ory.Api.Identity.list_identities/2","type":"function"},{"doc":"Get all Identity Schemas\nReturns a list of all identity schemas currently in use.\n\n#","ref":"Ory.Api.Identity.html#list_identity_schemas/2","title":"Ory.Api.Identity.list_identity_schemas/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n\n#","ref":"Ory.Api.Identity.html#list_identity_schemas/2-parameters","title":"Parameters - Ory.Api.Identity.list_identity_schemas/2","type":"function"},{"doc":"- `{:ok, [%IdentitySchemaContainer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_identity_schemas/2-returns","title":"Returns - Ory.Api.Identity.list_identity_schemas/2","type":"function"},{"doc":"List an Identity's Sessions\nThis endpoint returns all sessions that belong to the given Identity.\n\n#","ref":"Ory.Api.Identity.html#list_identity_sessions/3","title":"Ory.Api.Identity.list_identity_sessions/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID is the identity's ID.\n- `opts` (keyword): Optional parameters\n  - `:per_page` (integer()): Deprecated Items per Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This is the number of items per page.\n  - `:page` (integer()): Deprecated Pagination Page  DEPRECATED: Please use `page_token` instead. This parameter will be removed in the future.  This value is currently an integer, but it is not sequential. The value is not the page number, but a reference. The next page can be any number and some numbers might return an empty list.  For example, page 2 might not follow after page 1. And even if page 3 and 5 exist, but page 4 might not exist. The first page can be retrieved by omitting this parameter. Following page pointers will be returned in the `Link` header.\n  - `:page_size` (integer()): Page Size  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:active` (boolean()): Active is a boolean flag that filters out sessions based on the state. If no value is provided, all sessions are returned.\n\n#","ref":"Ory.Api.Identity.html#list_identity_sessions/3-parameters","title":"Parameters - Ory.Api.Identity.list_identity_sessions/3","type":"function"},{"doc":"- `{:ok, [%Session{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_identity_sessions/3-returns","title":"Returns - Ory.Api.Identity.list_identity_sessions/3","type":"function"},{"doc":"List All Sessions\nListing all sessions that exist.\n\n#","ref":"Ory.Api.Identity.html#list_sessions/2","title":"Ory.Api.Identity.list_sessions/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:page_size` (integer()): Items per Page  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:active` (boolean()): Active is a boolean flag that filters out sessions based on the state. If no value is provided, all sessions are returned.\n  - `:expand` ([String.t]): ExpandOptions is a query parameter encoded list of all properties that must be expanded in the Session. If no value is provided, the expandable properties are skipped.\n\n#","ref":"Ory.Api.Identity.html#list_sessions/2-parameters","title":"Parameters - Ory.Api.Identity.list_sessions/2","type":"function"},{"doc":"- `{:ok, [%Session{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#list_sessions/2-returns","title":"Returns - Ory.Api.Identity.list_sessions/2","type":"function"},{"doc":"Patch an Identity\nPartially updates an [identity's](https://www.ory.sh/docs/kratos/concepts/identity-user-model) field using [JSON Patch](https://jsonpatch.com/). The fields `id`, `stateChangedAt` and `credentials` can not be updated using this method.\n\n#","ref":"Ory.Api.Identity.html#patch_identity/3","title":"Ory.Api.Identity.patch_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of identity you want to update\n- `opts` (keyword): Optional parameters\n  - `:body` ([Ory.Model.JsonPatch.t]): \n\n#","ref":"Ory.Api.Identity.html#patch_identity/3-parameters","title":"Parameters - Ory.Api.Identity.patch_identity/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#patch_identity/3-returns","title":"Returns - Ory.Api.Identity.patch_identity/3","type":"function"},{"doc":"Update an Identity\nThis endpoint updates an [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model). The full identity payload (except credentials) is expected. It is possible to update the identity's credentials as well.\n\n#","ref":"Ory.Api.Identity.html#update_identity/3","title":"Ory.Api.Identity.update_identity/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): ID must be set to the ID of identity you want to update\n- `opts` (keyword): Optional parameters\n  - `:body` (UpdateIdentityBody): \n\n#","ref":"Ory.Api.Identity.html#update_identity/3-parameters","title":"Parameters - Ory.Api.Identity.update_identity/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Identity.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Identity.html#update_identity/3-returns","title":"Returns - Ory.Api.Identity.update_identity/3","type":"function"},{"doc":"API calls for all endpoints tagged `Jwk`.","ref":"Ory.Api.Jwk.html","title":"Ory.Api.Jwk","type":"module"},{"doc":"Create JSON Web Key\nThis endpoint is capable of generating JSON Web Key Sets for you. There a different strategies available, such as symmetric cryptographic keys (HS256, HS512) and asymetric cryptographic keys (RS256, ECDSA). If the specified JSON Web Key Set does not exist, it will be created.  A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.\n\n#","ref":"Ory.Api.Jwk.html#create_json_web_key_set/4","title":"Ory.Api.Jwk.create_json_web_key_set/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `set` (String.t): The JSON Web Key Set ID\n- `create_json_web_key_set` (CreateJsonWebKeySet): \n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Jwk.html#create_json_web_key_set/4-parameters","title":"Parameters - Ory.Api.Jwk.create_json_web_key_set/4","type":"function"},{"doc":"- `{:ok, Ory.Model.JsonWebKeySet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Jwk.html#create_json_web_key_set/4-returns","title":"Returns - Ory.Api.Jwk.create_json_web_key_set/4","type":"function"},{"doc":"Delete JSON Web Key\nUse this endpoint to delete a single JSON Web Key.  A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.\n\n#","ref":"Ory.Api.Jwk.html#delete_json_web_key/4","title":"Ory.Api.Jwk.delete_json_web_key/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `set` (String.t): The JSON Web Key Set\n- `kid` (String.t): The JSON Web Key ID (kid)\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Jwk.html#delete_json_web_key/4-parameters","title":"Parameters - Ory.Api.Jwk.delete_json_web_key/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Jwk.html#delete_json_web_key/4-returns","title":"Returns - Ory.Api.Jwk.delete_json_web_key/4","type":"function"},{"doc":"Delete JSON Web Key Set\nUse this endpoint to delete a complete JSON Web Key Set and all the keys in that set.  A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.\n\n#","ref":"Ory.Api.Jwk.html#delete_json_web_key_set/3","title":"Ory.Api.Jwk.delete_json_web_key_set/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `set` (String.t): The JSON Web Key Set\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Jwk.html#delete_json_web_key_set/3-parameters","title":"Parameters - Ory.Api.Jwk.delete_json_web_key_set/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Jwk.html#delete_json_web_key_set/3-returns","title":"Returns - Ory.Api.Jwk.delete_json_web_key_set/3","type":"function"},{"doc":"Get JSON Web Key\nThis endpoint returns a singular JSON Web Key contained in a set. It is identified by the set and the specific key ID (kid).\n\n#","ref":"Ory.Api.Jwk.html#get_json_web_key/4","title":"Ory.Api.Jwk.get_json_web_key/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `set` (String.t): JSON Web Key Set ID\n- `kid` (String.t): JSON Web Key ID\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Jwk.html#get_json_web_key/4-parameters","title":"Parameters - Ory.Api.Jwk.get_json_web_key/4","type":"function"},{"doc":"- `{:ok, Ory.Model.JsonWebKeySet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Jwk.html#get_json_web_key/4-returns","title":"Returns - Ory.Api.Jwk.get_json_web_key/4","type":"function"},{"doc":"Retrieve a JSON Web Key Set\nThis endpoint can be used to retrieve JWK Sets stored in ORY Hydra.  A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.\n\n#","ref":"Ory.Api.Jwk.html#get_json_web_key_set/3","title":"Ory.Api.Jwk.get_json_web_key_set/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `set` (String.t): JSON Web Key Set ID\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Jwk.html#get_json_web_key_set/3-parameters","title":"Parameters - Ory.Api.Jwk.get_json_web_key_set/3","type":"function"},{"doc":"- `{:ok, Ory.Model.JsonWebKeySet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Jwk.html#get_json_web_key_set/3-returns","title":"Returns - Ory.Api.Jwk.get_json_web_key_set/3","type":"function"},{"doc":"Set JSON Web Key\nUse this method if you do not want to let Hydra generate the JWKs for you, but instead save your own.  A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.\n\n#","ref":"Ory.Api.Jwk.html#set_json_web_key/4","title":"Ory.Api.Jwk.set_json_web_key/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `set` (String.t): The JSON Web Key Set ID\n- `kid` (String.t): JSON Web Key ID\n- `opts` (keyword): Optional parameters\n  - `:body` (JsonWebKey): \n\n#","ref":"Ory.Api.Jwk.html#set_json_web_key/4-parameters","title":"Parameters - Ory.Api.Jwk.set_json_web_key/4","type":"function"},{"doc":"- `{:ok, Ory.Model.JsonWebKey.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Jwk.html#set_json_web_key/4-returns","title":"Returns - Ory.Api.Jwk.set_json_web_key/4","type":"function"},{"doc":"Update a JSON Web Key Set\nUse this method if you do not want to let Hydra generate the JWKs for you, but instead save your own.  A JSON Web Key (JWK) is a JavaScript Object Notation (JSON) data structure that represents a cryptographic key. A JWK Set is a JSON data structure that represents a set of JWKs. A JSON Web Key is identified by its set and key id. ORY Hydra uses this functionality to store cryptographic keys used for TLS and JSON Web Tokens (such as OpenID Connect ID tokens), and allows storing user-defined keys as well.\n\n#","ref":"Ory.Api.Jwk.html#set_json_web_key_set/3","title":"Ory.Api.Jwk.set_json_web_key_set/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `set` (String.t): The JSON Web Key Set ID\n- `opts` (keyword): Optional parameters\n  - `:body` (JsonWebKeySet): \n\n#","ref":"Ory.Api.Jwk.html#set_json_web_key_set/3-parameters","title":"Parameters - Ory.Api.Jwk.set_json_web_key_set/3","type":"function"},{"doc":"- `{:ok, Ory.Model.JsonWebKeySet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Jwk.html#set_json_web_key_set/3-returns","title":"Returns - Ory.Api.Jwk.set_json_web_key_set/3","type":"function"},{"doc":"API calls for all endpoints tagged `Metadata`.","ref":"Ory.Api.Metadata.html","title":"Ory.Api.Metadata","type":"module"},{"doc":"Return Running Software Version.\nThis endpoint returns the version of Ory Kratos.  If the service supports TLS Edge Termination, this endpoint does not require the `X-Forwarded-Proto` header to be set.  Be aware that if you are running multiple nodes of this service, the version will never refer to the cluster state, only to a single instance.\n\n#","ref":"Ory.Api.Metadata.html#get_version/2","title":"Ory.Api.Metadata.get_version/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Metadata.html#get_version/2-parameters","title":"Parameters - Ory.Api.Metadata.get_version/2","type":"function"},{"doc":"- `{:ok, Ory.Model.GetVersion200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Metadata.html#get_version/2-returns","title":"Returns - Ory.Api.Metadata.get_version/2","type":"function"},{"doc":"Check HTTP Server Status\nThis endpoint returns a HTTP 200 status code when Ory Kratos is accepting incoming HTTP requests. This status does currently not include checks whether the database connection is working.  If the service supports TLS Edge Termination, this endpoint does not require the `X-Forwarded-Proto` header to be set.  Be aware that if you are running multiple nodes of this service, the health status will never refer to the cluster state, only to a single instance.\n\n#","ref":"Ory.Api.Metadata.html#is_alive/2","title":"Ory.Api.Metadata.is_alive/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Metadata.html#is_alive/2-parameters","title":"Parameters - Ory.Api.Metadata.is_alive/2","type":"function"},{"doc":"- `{:ok, map()}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Metadata.html#is_alive/2-returns","title":"Returns - Ory.Api.Metadata.is_alive/2","type":"function"},{"doc":"Check HTTP Server and Database Status\nThis endpoint returns a HTTP 200 status code when Ory Kratos is up running and the environment dependencies (e.g. the database) are responsive as well.  If the service supports TLS Edge Termination, this endpoint does not require the `X-Forwarded-Proto` header to be set.  Be aware that if you are running multiple nodes of Ory Kratos, the health status will never refer to the cluster state, only to a single instance.\n\n#","ref":"Ory.Api.Metadata.html#is_ready/2","title":"Ory.Api.Metadata.is_ready/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Metadata.html#is_ready/2-parameters","title":"Parameters - Ory.Api.Metadata.is_ready/2","type":"function"},{"doc":"- `{:ok, Ory.Model.IsReady200Response.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Metadata.html#is_ready/2-returns","title":"Returns - Ory.Api.Metadata.is_ready/2","type":"function"},{"doc":"API calls for all endpoints tagged `OAuth2`.","ref":"Ory.Api.OAuth2.html","title":"Ory.Api.OAuth2","type":"module"},{"doc":"Accept OAuth 2.0 Consent Request\nWhen an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell Ory now about it. If the subject authenticated, he/she must now be asked if the OAuth 2.0 Client which initiated the flow should be allowed to access the resources on the subject's behalf.  The consent challenge is appended to the consent provider's URL to which the subject's user-agent (browser) is redirected to. The consent provider uses that challenge to fetch information on the OAuth2 request and then tells Ory if the subject accepted or rejected the request.  This endpoint tells Ory that the subject has authorized the OAuth 2.0 client to access resources on his/her behalf. The consent provider includes additional information, such as session data for access and ID tokens, and if the consent request should be used as basis for future requests.  The response contains a redirect URL which the consent provider should redirect the user-agent to.  The default consent provider is available via the Ory Managed Account Experience. To customize the consent provider, please head over to the OAuth 2.0 documentation.\n\n#","ref":"Ory.Api.OAuth2.html#accept_o_auth2_consent_request/3","title":"Ory.Api.OAuth2.accept_o_auth2_consent_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `consent_challenge` (String.t): OAuth 2.0 Consent Request Challenge\n- `opts` (keyword): Optional parameters\n  - `:body` (AcceptOAuth2ConsentRequest): \n\n#","ref":"Ory.Api.OAuth2.html#accept_o_auth2_consent_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.accept_o_auth2_consent_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2RedirectTo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#accept_o_auth2_consent_request/3-returns","title":"Returns - Ory.Api.OAuth2.accept_o_auth2_consent_request/3","type":"function"},{"doc":"Accept OAuth 2.0 Login Request\nWhen an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell the Ory OAuth2 Service about it.  The authentication challenge is appended to the login provider URL to which the subject's user-agent (browser) is redirected to. The login provider uses that challenge to fetch information on the OAuth2 request and then accept or reject the requested authentication process.  This endpoint tells Ory that the subject has successfully authenticated and includes additional information such as the subject's ID and if Ory should remember the subject's subject agent for future authentication attempts by setting a cookie.  The response contains a redirect URL which the login provider should redirect the user-agent to.\n\n#","ref":"Ory.Api.OAuth2.html#accept_o_auth2_login_request/3","title":"Ory.Api.OAuth2.accept_o_auth2_login_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `login_challenge` (String.t): OAuth 2.0 Login Request Challenge\n- `opts` (keyword): Optional parameters\n  - `:body` (AcceptOAuth2LoginRequest): \n\n#","ref":"Ory.Api.OAuth2.html#accept_o_auth2_login_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.accept_o_auth2_login_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2RedirectTo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#accept_o_auth2_login_request/3-returns","title":"Returns - Ory.Api.OAuth2.accept_o_auth2_login_request/3","type":"function"},{"doc":"Accept OAuth 2.0 Session Logout Request\nWhen a user or an application requests Ory OAuth 2.0 to remove the session state of a subject, this endpoint is used to confirm that logout request.  The response contains a redirect URL which the consent provider should redirect the user-agent to.\n\n#","ref":"Ory.Api.OAuth2.html#accept_o_auth2_logout_request/3","title":"Ory.Api.OAuth2.accept_o_auth2_logout_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `logout_challenge` (String.t): OAuth 2.0 Logout Request Challenge\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#accept_o_auth2_logout_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.accept_o_auth2_logout_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2RedirectTo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#accept_o_auth2_logout_request/3-returns","title":"Returns - Ory.Api.OAuth2.accept_o_auth2_logout_request/3","type":"function"},{"doc":"Create OAuth 2.0 Client\nCreate a new OAuth 2.0 client. If you pass `client_secret` the secret is used, otherwise a random secret is generated. The secret is echoed in the response. It is not possible to retrieve it later on.\n\n#","ref":"Ory.Api.OAuth2.html#create_o_auth2_client/3","title":"Ory.Api.OAuth2.create_o_auth2_client/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `o_auth2_client` (OAuth2Client): OAuth 2.0 Client Request Body\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#create_o_auth2_client/3-parameters","title":"Parameters - Ory.Api.OAuth2.create_o_auth2_client/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#create_o_auth2_client/3-returns","title":"Returns - Ory.Api.OAuth2.create_o_auth2_client/3","type":"function"},{"doc":"Delete OAuth 2.0 Client\nDelete an existing OAuth 2.0 Client by its ID.  OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.  Make sure that this endpoint is well protected and only callable by first-party components.\n\n#","ref":"Ory.Api.OAuth2.html#delete_o_auth2_client/3","title":"Ory.Api.OAuth2.delete_o_auth2_client/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The id of the OAuth 2.0 Client.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#delete_o_auth2_client/3-parameters","title":"Parameters - Ory.Api.OAuth2.delete_o_auth2_client/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#delete_o_auth2_client/3-returns","title":"Returns - Ory.Api.OAuth2.delete_o_auth2_client/3","type":"function"},{"doc":"Delete OAuth 2.0 Access Tokens from specific OAuth 2.0 Client\nThis endpoint deletes OAuth2 access tokens issued to an OAuth 2.0 Client from the database.\n\n#","ref":"Ory.Api.OAuth2.html#delete_o_auth2_token/3","title":"Ory.Api.OAuth2.delete_o_auth2_token/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `client_id` (String.t): OAuth 2.0 Client ID\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#delete_o_auth2_token/3-parameters","title":"Parameters - Ory.Api.OAuth2.delete_o_auth2_token/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#delete_o_auth2_token/3-returns","title":"Returns - Ory.Api.OAuth2.delete_o_auth2_token/3","type":"function"},{"doc":"Delete Trusted OAuth2 JWT Bearer Grant Type Issuer\nUse this endpoint to delete trusted JWT Bearer Grant Type Issuer. The ID is the one returned when you created the trust relationship.  Once deleted, the associated issuer will no longer be able to perform the JSON Web Token (JWT) Profile for OAuth 2.0 Client Authentication and Authorization Grant.\n\n#","ref":"Ory.Api.OAuth2.html#delete_trusted_o_auth2_jwt_grant_issuer/3","title":"Ory.Api.OAuth2.delete_trusted_o_auth2_jwt_grant_issuer/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The id of the desired grant\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#delete_trusted_o_auth2_jwt_grant_issuer/3-parameters","title":"Parameters - Ory.Api.OAuth2.delete_trusted_o_auth2_jwt_grant_issuer/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#delete_trusted_o_auth2_jwt_grant_issuer/3-returns","title":"Returns - Ory.Api.OAuth2.delete_trusted_o_auth2_jwt_grant_issuer/3","type":"function"},{"doc":"Get an OAuth 2.0 Client\nGet an OAuth 2.0 client by its ID. This endpoint never returns the client secret.  OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_client/3","title":"Ory.Api.OAuth2.get_o_auth2_client/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The id of the OAuth 2.0 Client.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_client/3-parameters","title":"Parameters - Ory.Api.OAuth2.get_o_auth2_client/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#get_o_auth2_client/3-returns","title":"Returns - Ory.Api.OAuth2.get_o_auth2_client/3","type":"function"},{"doc":"Get OAuth 2.0 Consent Request\nWhen an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell Ory now about it. If the subject authenticated, he/she must now be asked if the OAuth 2.0 Client which initiated the flow should be allowed to access the resources on the subject's behalf.  The consent challenge is appended to the consent provider's URL to which the subject's user-agent (browser) is redirected to. The consent provider uses that challenge to fetch information on the OAuth2 request and then tells Ory if the subject accepted or rejected the request.  The default consent provider is available via the Ory Managed Account Experience. To customize the consent provider, please head over to the OAuth 2.0 documentation.\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_consent_request/3","title":"Ory.Api.OAuth2.get_o_auth2_consent_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `consent_challenge` (String.t): OAuth 2.0 Consent Request Challenge\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_consent_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.get_o_auth2_consent_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2ConsentRequest.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#get_o_auth2_consent_request/3-returns","title":"Returns - Ory.Api.OAuth2.get_o_auth2_consent_request/3","type":"function"},{"doc":"Get OAuth 2.0 Login Request\nWhen an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell the Ory OAuth2 Service about it.  Per default, the login provider is Ory itself. You may use a different login provider which needs to be a web-app you write and host, and it must be able to authenticate (\"show the subject a login screen\") a subject (in OAuth2 the proper name for subject is \"resource owner\").  The authentication challenge is appended to the login provider URL to which the subject's user-agent (browser) is redirected to. The login provider uses that challenge to fetch information on the OAuth2 request and then accept or reject the requested authentication process.\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_login_request/3","title":"Ory.Api.OAuth2.get_o_auth2_login_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `login_challenge` (String.t): OAuth 2.0 Login Request Challenge\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_login_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.get_o_auth2_login_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2LoginRequest.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#get_o_auth2_login_request/3-returns","title":"Returns - Ory.Api.OAuth2.get_o_auth2_login_request/3","type":"function"},{"doc":"Get OAuth 2.0 Session Logout Request\nUse this endpoint to fetch an Ory OAuth 2.0 logout request.\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_logout_request/3","title":"Ory.Api.OAuth2.get_o_auth2_logout_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `logout_challenge` (String.t): \n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#get_o_auth2_logout_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.get_o_auth2_logout_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2LogoutRequest.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#get_o_auth2_logout_request/3-returns","title":"Returns - Ory.Api.OAuth2.get_o_auth2_logout_request/3","type":"function"},{"doc":"Get Trusted OAuth2 JWT Bearer Grant Type Issuer\nUse this endpoint to get a trusted JWT Bearer Grant Type Issuer. The ID is the one returned when you created the trust relationship.\n\n#","ref":"Ory.Api.OAuth2.html#get_trusted_o_auth2_jwt_grant_issuer/3","title":"Ory.Api.OAuth2.get_trusted_o_auth2_jwt_grant_issuer/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The id of the desired grant\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#get_trusted_o_auth2_jwt_grant_issuer/3-parameters","title":"Parameters - Ory.Api.OAuth2.get_trusted_o_auth2_jwt_grant_issuer/3","type":"function"},{"doc":"- `{:ok, Ory.Model.TrustedOAuth2JwtGrantIssuer.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#get_trusted_o_auth2_jwt_grant_issuer/3-returns","title":"Returns - Ory.Api.OAuth2.get_trusted_o_auth2_jwt_grant_issuer/3","type":"function"},{"doc":"Introspect OAuth2 Access and Refresh Tokens\nThe introspection endpoint allows to check if a token (both refresh and access) is active or not. An active token is neither expired nor revoked. If a token is active, additional information on the token will be included. You can set additional data for a token by setting `session.access_token` during the consent flow.\n\n#","ref":"Ory.Api.OAuth2.html#introspect_o_auth2_token/3","title":"Ory.Api.OAuth2.introspect_o_auth2_token/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `token` (String.t): The string value of the token. For access tokens, this is the \\\"access_token\\\" value returned from the token endpoint defined in OAuth 2.0. For refresh tokens, this is the \\\"refresh_token\\\" value returned.\n- `opts` (keyword): Optional parameters\n  - `:scope` (String.t): An optional, space separated list of required scopes. If the access token was not granted one of the scopes, the result of active will be false.\n\n#","ref":"Ory.Api.OAuth2.html#introspect_o_auth2_token/3-parameters","title":"Parameters - Ory.Api.OAuth2.introspect_o_auth2_token/3","type":"function"},{"doc":"- `{:ok, Ory.Model.IntrospectedOAuth2Token.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#introspect_o_auth2_token/3-returns","title":"Returns - Ory.Api.OAuth2.introspect_o_auth2_token/3","type":"function"},{"doc":"List OAuth 2.0 Clients\nThis endpoint lists all clients in the database, and never returns client secrets. As a default it lists the first 100 clients.\n\n#","ref":"Ory.Api.OAuth2.html#list_o_auth2_clients/2","title":"Ory.Api.OAuth2.list_o_auth2_clients/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:page_size` (integer()): Items per Page  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:client_name` (String.t): The name of the clients to filter by.\n  - `:owner` (String.t): The owner of the clients to filter by.\n\n#","ref":"Ory.Api.OAuth2.html#list_o_auth2_clients/2-parameters","title":"Parameters - Ory.Api.OAuth2.list_o_auth2_clients/2","type":"function"},{"doc":"- `{:ok, [%OAuth2Client{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#list_o_auth2_clients/2-returns","title":"Returns - Ory.Api.OAuth2.list_o_auth2_clients/2","type":"function"},{"doc":"List OAuth 2.0 Consent Sessions of a Subject\nThis endpoint lists all subject's granted consent sessions, including client and granted scope. If the subject is unknown or has not granted any consent sessions yet, the endpoint returns an empty JSON array with status code 200 OK.\n\n#","ref":"Ory.Api.OAuth2.html#list_o_auth2_consent_sessions/3","title":"Ory.Api.OAuth2.list_o_auth2_consent_sessions/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `subject` (String.t): The subject to list the consent sessions for.\n- `opts` (keyword): Optional parameters\n  - `:page_size` (integer()): Items per Page  This is the number of items per page to return. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:page_token` (String.t): Next Page Token  The next page token. For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).\n  - `:login_session_id` (String.t): The login session id to list the consent sessions for.\n\n#","ref":"Ory.Api.OAuth2.html#list_o_auth2_consent_sessions/3-parameters","title":"Parameters - Ory.Api.OAuth2.list_o_auth2_consent_sessions/3","type":"function"},{"doc":"- `{:ok, [%OAuth2ConsentSession{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#list_o_auth2_consent_sessions/3-returns","title":"Returns - Ory.Api.OAuth2.list_o_auth2_consent_sessions/3","type":"function"},{"doc":"List Trusted OAuth2 JWT Bearer Grant Type Issuers\nUse this endpoint to list all trusted JWT Bearer Grant Type Issuers.\n\n#","ref":"Ory.Api.OAuth2.html#list_trusted_o_auth2_jwt_grant_issuers/2","title":"Ory.Api.OAuth2.list_trusted_o_auth2_jwt_grant_issuers/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:MaxItems` (integer()): \n  - `:DefaultItems` (integer()): \n  - `:issuer` (String.t): If optional \"issuer\" is supplied, only jwt-bearer grants with this issuer will be returned.\n\n#","ref":"Ory.Api.OAuth2.html#list_trusted_o_auth2_jwt_grant_issuers/2-parameters","title":"Parameters - Ory.Api.OAuth2.list_trusted_o_auth2_jwt_grant_issuers/2","type":"function"},{"doc":"- `{:ok, [%TrustedOAuth2JwtGrantIssuer{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#list_trusted_o_auth2_jwt_grant_issuers/2-returns","title":"Returns - Ory.Api.OAuth2.list_trusted_o_auth2_jwt_grant_issuers/2","type":"function"},{"doc":"OAuth 2.0 Authorize Endpoint\nUse open source libraries to perform OAuth 2.0 and OpenID Connect available for any programming language. You can find a list of libraries at https://oauth.net/code/  The Ory SDK is not yet able to this endpoint properly.\n\n#","ref":"Ory.Api.OAuth2.html#o_auth2_authorize/2","title":"Ory.Api.OAuth2.o_auth2_authorize/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#o_auth2_authorize/2-parameters","title":"Parameters - Ory.Api.OAuth2.o_auth2_authorize/2","type":"function"},{"doc":"- `{:ok, Ory.Model.ErrorOAuth2.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#o_auth2_authorize/2-returns","title":"Returns - Ory.Api.OAuth2.o_auth2_authorize/2","type":"function"},{"doc":"The OAuth 2.0 Token Endpoint\nUse open source libraries to perform OAuth 2.0 and OpenID Connect available for any programming language. You can find a list of libraries here https://oauth.net/code/  The Ory SDK is not yet able to this endpoint properly.\n\n#","ref":"Ory.Api.OAuth2.html#oauth2_token_exchange/3","title":"Ory.Api.OAuth2.oauth2_token_exchange/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `grant_type` (String.t): \n- `opts` (keyword): Optional parameters\n  - `:client_id` (String.t): \n  - `:code` (String.t): \n  - `:redirect_uri` (String.t): \n  - `:refresh_token` (String.t): \n\n#","ref":"Ory.Api.OAuth2.html#oauth2_token_exchange/3-parameters","title":"Parameters - Ory.Api.OAuth2.oauth2_token_exchange/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2TokenExchange.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#oauth2_token_exchange/3-returns","title":"Returns - Ory.Api.OAuth2.oauth2_token_exchange/3","type":"function"},{"doc":"Patch OAuth 2.0 Client\nPatch an existing OAuth 2.0 Client using JSON Patch. If you pass `client_secret` the secret will be updated and returned via the API. This is the only time you will be able to retrieve the client secret, so write it down and keep it safe.  OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.\n\n#","ref":"Ory.Api.OAuth2.html#patch_o_auth2_client/4","title":"Ory.Api.OAuth2.patch_o_auth2_client/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The id of the OAuth 2.0 Client.\n- `json_patch` ([Ory.Model.JsonPatch.t]): OAuth 2.0 Client JSON Patch Body\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#patch_o_auth2_client/4-parameters","title":"Parameters - Ory.Api.OAuth2.patch_o_auth2_client/4","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#patch_o_auth2_client/4-returns","title":"Returns - Ory.Api.OAuth2.patch_o_auth2_client/4","type":"function"},{"doc":"Reject OAuth 2.0 Consent Request\nWhen an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell Ory now about it. If the subject authenticated, he/she must now be asked if the OAuth 2.0 Client which initiated the flow should be allowed to access the resources on the subject's behalf.  The consent challenge is appended to the consent provider's URL to which the subject's user-agent (browser) is redirected to. The consent provider uses that challenge to fetch information on the OAuth2 request and then tells Ory if the subject accepted or rejected the request.  This endpoint tells Ory that the subject has not authorized the OAuth 2.0 client to access resources on his/her behalf. The consent provider must include a reason why the consent was not granted.  The response contains a redirect URL which the consent provider should redirect the user-agent to.  The default consent provider is available via the Ory Managed Account Experience. To customize the consent provider, please head over to the OAuth 2.0 documentation.\n\n#","ref":"Ory.Api.OAuth2.html#reject_o_auth2_consent_request/3","title":"Ory.Api.OAuth2.reject_o_auth2_consent_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `consent_challenge` (String.t): OAuth 2.0 Consent Request Challenge\n- `opts` (keyword): Optional parameters\n  - `:body` (RejectOAuth2Request): \n\n#","ref":"Ory.Api.OAuth2.html#reject_o_auth2_consent_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.reject_o_auth2_consent_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2RedirectTo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#reject_o_auth2_consent_request/3-returns","title":"Returns - Ory.Api.OAuth2.reject_o_auth2_consent_request/3","type":"function"},{"doc":"Reject OAuth 2.0 Login Request\nWhen an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell the Ory OAuth2 Service about it.  The authentication challenge is appended to the login provider URL to which the subject's user-agent (browser) is redirected to. The login provider uses that challenge to fetch information on the OAuth2 request and then accept or reject the requested authentication process.  This endpoint tells Ory that the subject has not authenticated and includes a reason why the authentication was denied.  The response contains a redirect URL which the login provider should redirect the user-agent to.\n\n#","ref":"Ory.Api.OAuth2.html#reject_o_auth2_login_request/3","title":"Ory.Api.OAuth2.reject_o_auth2_login_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `login_challenge` (String.t): OAuth 2.0 Login Request Challenge\n- `opts` (keyword): Optional parameters\n  - `:body` (RejectOAuth2Request): \n\n#","ref":"Ory.Api.OAuth2.html#reject_o_auth2_login_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.reject_o_auth2_login_request/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2RedirectTo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#reject_o_auth2_login_request/3-returns","title":"Returns - Ory.Api.OAuth2.reject_o_auth2_login_request/3","type":"function"},{"doc":"Reject OAuth 2.0 Session Logout Request\nWhen a user or an application requests Ory OAuth 2.0 to remove the session state of a subject, this endpoint is used to deny that logout request. No HTTP request body is required.  The response is empty as the logout provider has to chose what action to perform next.\n\n#","ref":"Ory.Api.OAuth2.html#reject_o_auth2_logout_request/3","title":"Ory.Api.OAuth2.reject_o_auth2_logout_request/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `logout_challenge` (String.t): \n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#reject_o_auth2_logout_request/3-parameters","title":"Parameters - Ory.Api.OAuth2.reject_o_auth2_logout_request/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#reject_o_auth2_logout_request/3-returns","title":"Returns - Ory.Api.OAuth2.reject_o_auth2_logout_request/3","type":"function"},{"doc":"Revoke OAuth 2.0 Consent Sessions of a Subject\nThis endpoint revokes a subject's granted consent sessions and invalidates all associated OAuth 2.0 Access Tokens. You may also only revoke sessions for a specific OAuth 2.0 Client ID.\n\n#","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_consent_sessions/3","title":"Ory.Api.OAuth2.revoke_o_auth2_consent_sessions/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `subject` (String.t): OAuth 2.0 Consent Subject  The subject whose consent sessions should be deleted.\n- `opts` (keyword): Optional parameters\n  - `:client` (String.t): OAuth 2.0 Client ID  If set, deletes only those consent sessions that have been granted to the specified OAuth 2.0 Client ID.\n  - `:all` (boolean()): Revoke All Consent Sessions  If set to `true` deletes all consent sessions by the Subject that have been granted.\n\n#","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_consent_sessions/3-parameters","title":"Parameters - Ory.Api.OAuth2.revoke_o_auth2_consent_sessions/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_consent_sessions/3-returns","title":"Returns - Ory.Api.OAuth2.revoke_o_auth2_consent_sessions/3","type":"function"},{"doc":"Revokes OAuth 2.0 Login Sessions by either a Subject or a SessionID\nThis endpoint invalidates authentication sessions. After revoking the authentication session(s), the subject has to re-authenticate at the Ory OAuth2 Provider. This endpoint does not invalidate any tokens.  If you send the subject in a query param, all authentication sessions that belong to that subject are revoked. No OpennID Connect Front- or Back-channel logout is performed in this case.  Alternatively, you can send a SessionID via `sid` query param, in which case, only the session that is connected to that SessionID is revoked. OpenID Connect Back-channel logout is performed in this case.\n\n#","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_login_sessions/2","title":"Ory.Api.OAuth2.revoke_o_auth2_login_sessions/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:subject` (String.t): OAuth 2.0 Subject  The subject to revoke authentication sessions for.\n  - `:sid` (String.t): OAuth 2.0 Subject  The subject to revoke authentication sessions for.\n\n#","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_login_sessions/2-parameters","title":"Parameters - Ory.Api.OAuth2.revoke_o_auth2_login_sessions/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_login_sessions/2-returns","title":"Returns - Ory.Api.OAuth2.revoke_o_auth2_login_sessions/2","type":"function"},{"doc":"Revoke OAuth 2.0 Access or Refresh Token\nRevoking a token (both access and refresh) means that the tokens will be invalid. A revoked access token can no longer be used to make access requests, and a revoked refresh token can no longer be used to refresh an access token. Revoking a refresh token also invalidates the access token that was created with it. A token may only be revoked by the client the token was generated for.\n\n#","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_token/3","title":"Ory.Api.OAuth2.revoke_o_auth2_token/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `token` (String.t): \n- `opts` (keyword): Optional parameters\n  - `:client_id` (String.t): \n  - `:client_secret` (String.t): \n\n#","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_token/3-parameters","title":"Parameters - Ory.Api.OAuth2.revoke_o_auth2_token/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#revoke_o_auth2_token/3-returns","title":"Returns - Ory.Api.OAuth2.revoke_o_auth2_token/3","type":"function"},{"doc":"Set OAuth 2.0 Client\nReplaces an existing OAuth 2.0 Client with the payload you send. If you pass `client_secret` the secret is used, otherwise the existing secret is used.  If set, the secret is echoed in the response. It is not possible to retrieve it later on.  OAuth 2.0 Clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.\n\n#","ref":"Ory.Api.OAuth2.html#set_o_auth2_client/4","title":"Ory.Api.OAuth2.set_o_auth2_client/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): OAuth 2.0 Client ID\n- `o_auth2_client` (OAuth2Client): OAuth 2.0 Client Request Body\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.OAuth2.html#set_o_auth2_client/4-parameters","title":"Parameters - Ory.Api.OAuth2.set_o_auth2_client/4","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#set_o_auth2_client/4-returns","title":"Returns - Ory.Api.OAuth2.set_o_auth2_client/4","type":"function"},{"doc":"Set OAuth2 Client Token Lifespans\nSet lifespans of different token types issued for this OAuth 2.0 client. Does not modify other fields.\n\n#","ref":"Ory.Api.OAuth2.html#set_o_auth2_client_lifespans/3","title":"Ory.Api.OAuth2.set_o_auth2_client_lifespans/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): OAuth 2.0 Client ID\n- `opts` (keyword): Optional parameters\n  - `:body` (OAuth2ClientTokenLifespans): \n\n#","ref":"Ory.Api.OAuth2.html#set_o_auth2_client_lifespans/3-parameters","title":"Parameters - Ory.Api.OAuth2.set_o_auth2_client_lifespans/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#set_o_auth2_client_lifespans/3-returns","title":"Returns - Ory.Api.OAuth2.set_o_auth2_client_lifespans/3","type":"function"},{"doc":"Trust OAuth2 JWT Bearer Grant Type Issuer\nUse this endpoint to establish a trust relationship for a JWT issuer to perform JSON Web Token (JWT) Profile for OAuth 2.0 Client Authentication and Authorization Grants [RFC7523](https://datatracker.ietf.org/doc/html/rfc7523).\n\n#","ref":"Ory.Api.OAuth2.html#trust_o_auth2_jwt_grant_issuer/2","title":"Ory.Api.OAuth2.trust_o_auth2_jwt_grant_issuer/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (TrustOAuth2JwtGrantIssuer): \n\n#","ref":"Ory.Api.OAuth2.html#trust_o_auth2_jwt_grant_issuer/2-parameters","title":"Parameters - Ory.Api.OAuth2.trust_o_auth2_jwt_grant_issuer/2","type":"function"},{"doc":"- `{:ok, Ory.Model.TrustedOAuth2JwtGrantIssuer.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.OAuth2.html#trust_o_auth2_jwt_grant_issuer/2-returns","title":"Returns - Ory.Api.OAuth2.trust_o_auth2_jwt_grant_issuer/2","type":"function"},{"doc":"API calls for all endpoints tagged `Oidc`.","ref":"Ory.Api.Oidc.html","title":"Ory.Api.Oidc","type":"module"},{"doc":"Register OAuth2 Client using OpenID Dynamic Client Registration\nThis endpoint behaves like the administrative counterpart (`createOAuth2Client`) but is capable of facing the public internet directly and can be used in self-service. It implements the OpenID Connect Dynamic Client Registration Protocol. This feature needs to be enabled in the configuration. This endpoint is disabled by default. It can be enabled by an administrator.  Please note that using this endpoint you are not able to choose the `client_secret` nor the `client_id` as those values will be server generated when specifying `token_endpoint_auth_method` as `client_secret_basic` or `client_secret_post`.  The `client_secret` will be returned in the response and you will not be able to retrieve it later on. Write the secret down and keep it somewhere safe.\n\n#","ref":"Ory.Api.Oidc.html#create_oidc_dynamic_client/3","title":"Ory.Api.Oidc.create_oidc_dynamic_client/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `o_auth2_client` (OAuth2Client): Dynamic Client Registration Request Body\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Oidc.html#create_oidc_dynamic_client/3-parameters","title":"Parameters - Ory.Api.Oidc.create_oidc_dynamic_client/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#create_oidc_dynamic_client/3-returns","title":"Returns - Ory.Api.Oidc.create_oidc_dynamic_client/3","type":"function"},{"doc":"Issues a Verifiable Credential\nThis endpoint creates a verifiable credential that attests that the user authenticated with the provided access token owns a certain public/private key pair.  More information can be found at https://openid.net/specs/openid-connect-userinfo-vc-1_0.html.\n\n#","ref":"Ory.Api.Oidc.html#create_verifiable_credential/2","title":"Ory.Api.Oidc.create_verifiable_credential/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateVerifiableCredentialRequestBody): \n\n#","ref":"Ory.Api.Oidc.html#create_verifiable_credential/2-parameters","title":"Parameters - Ory.Api.Oidc.create_verifiable_credential/2","type":"function"},{"doc":"- `{:ok, Ory.Model.VerifiableCredentialResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#create_verifiable_credential/2-returns","title":"Returns - Ory.Api.Oidc.create_verifiable_credential/2","type":"function"},{"doc":"Delete OAuth 2.0 Client using the OpenID Dynamic Client Registration Management Protocol\nThis endpoint behaves like the administrative counterpart (`deleteOAuth2Client`) but is capable of facing the public internet directly and can be used in self-service. It implements the OpenID Connect Dynamic Client Registration Protocol. This feature needs to be enabled in the configuration. This endpoint is disabled by default. It can be enabled by an administrator.  To use this endpoint, you will need to present the client's authentication credentials. If the OAuth2 Client uses the Token Endpoint Authentication Method `client_secret_post`, you need to present the client secret in the URL query. If it uses `client_secret_basic`, present the Client ID and the Client Secret in the Authorization header.  OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.\n\n#","ref":"Ory.Api.Oidc.html#delete_oidc_dynamic_client/3","title":"Ory.Api.Oidc.delete_oidc_dynamic_client/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The id of the OAuth 2.0 Client.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Oidc.html#delete_oidc_dynamic_client/3-parameters","title":"Parameters - Ory.Api.Oidc.delete_oidc_dynamic_client/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#delete_oidc_dynamic_client/3-returns","title":"Returns - Ory.Api.Oidc.delete_oidc_dynamic_client/3","type":"function"},{"doc":"OpenID Connect Discovery\nA mechanism for an OpenID Connect Relying Party to discover the End-User's OpenID Provider and obtain information needed to interact with it, including its OAuth 2.0 endpoint locations.  Popular libraries for OpenID Connect clients include oidc-client-js (JavaScript), go-oidc (Golang), and others. For a full list of clients go here: https://openid.net/developers/certified/\n\n#","ref":"Ory.Api.Oidc.html#discover_oidc_configuration/2","title":"Ory.Api.Oidc.discover_oidc_configuration/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Oidc.html#discover_oidc_configuration/2-parameters","title":"Parameters - Ory.Api.Oidc.discover_oidc_configuration/2","type":"function"},{"doc":"- `{:ok, Ory.Model.OidcConfiguration.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#discover_oidc_configuration/2-returns","title":"Returns - Ory.Api.Oidc.discover_oidc_configuration/2","type":"function"},{"doc":"Get OAuth2 Client using OpenID Dynamic Client Registration\nThis endpoint behaves like the administrative counterpart (`getOAuth2Client`) but is capable of facing the public internet directly and can be used in self-service. It implements the OpenID Connect Dynamic Client Registration Protocol.  To use this endpoint, you will need to present the client's authentication credentials. If the OAuth2 Client uses the Token Endpoint Authentication Method `client_secret_post`, you need to present the client secret in the URL query. If it uses `client_secret_basic`, present the Client ID and the Client Secret in the Authorization header.\n\n#","ref":"Ory.Api.Oidc.html#get_oidc_dynamic_client/3","title":"Ory.Api.Oidc.get_oidc_dynamic_client/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): The id of the OAuth 2.0 Client.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Oidc.html#get_oidc_dynamic_client/3-parameters","title":"Parameters - Ory.Api.Oidc.get_oidc_dynamic_client/3","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#get_oidc_dynamic_client/3-returns","title":"Returns - Ory.Api.Oidc.get_oidc_dynamic_client/3","type":"function"},{"doc":"OpenID Connect Userinfo\nThis endpoint returns the payload of the ID Token, including `session.id_token` values, of the provided OAuth 2.0 Access Token's consent request.  In the case of authentication error, a WWW-Authenticate header might be set in the response with more information about the error. See [the spec](https://datatracker.ietf.org/doc/html/rfc6750#section-3) for more details about header format.\n\n#","ref":"Ory.Api.Oidc.html#get_oidc_user_info/2","title":"Ory.Api.Oidc.get_oidc_user_info/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Oidc.html#get_oidc_user_info/2-parameters","title":"Parameters - Ory.Api.Oidc.get_oidc_user_info/2","type":"function"},{"doc":"- `{:ok, Ory.Model.OidcUserInfo.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#get_oidc_user_info/2-returns","title":"Returns - Ory.Api.Oidc.get_oidc_user_info/2","type":"function"},{"doc":"OpenID Connect Front- and Back-channel Enabled Logout\nThis endpoint initiates and completes user logout at the Ory OAuth2 & OpenID provider and initiates OpenID Connect Front- / Back-channel logout:  https://openid.net/specs/openid-connect-frontchannel-1_0.html https://openid.net/specs/openid-connect-backchannel-1_0.html  Back-channel logout is performed asynchronously and does not affect logout flow.\n\n#","ref":"Ory.Api.Oidc.html#revoke_oidc_session/2","title":"Ory.Api.Oidc.revoke_oidc_session/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Oidc.html#revoke_oidc_session/2-parameters","title":"Parameters - Ory.Api.Oidc.revoke_oidc_session/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#revoke_oidc_session/2-returns","title":"Returns - Ory.Api.Oidc.revoke_oidc_session/2","type":"function"},{"doc":"Set OAuth2 Client using OpenID Dynamic Client Registration\nThis endpoint behaves like the administrative counterpart (`setOAuth2Client`) but is capable of facing the public internet directly to be used by third parties. It implements the OpenID Connect Dynamic Client Registration Protocol.  This feature is disabled per default. It can be enabled by a system administrator.  If you pass `client_secret` the secret is used, otherwise the existing secret is used. If set, the secret is echoed in the response. It is not possible to retrieve it later on.  To use this endpoint, you will need to present the client's authentication credentials. If the OAuth2 Client uses the Token Endpoint Authentication Method `client_secret_post`, you need to present the client secret in the URL query. If it uses `client_secret_basic`, present the Client ID and the Client Secret in the Authorization header.  OAuth 2.0 clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.\n\n#","ref":"Ory.Api.Oidc.html#set_oidc_dynamic_client/4","title":"Ory.Api.Oidc.set_oidc_dynamic_client/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `id` (String.t): OAuth 2.0 Client ID\n- `o_auth2_client` (OAuth2Client): OAuth 2.0 Client Request Body\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Oidc.html#set_oidc_dynamic_client/4-parameters","title":"Parameters - Ory.Api.Oidc.set_oidc_dynamic_client/4","type":"function"},{"doc":"- `{:ok, Ory.Model.OAuth2Client.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Oidc.html#set_oidc_dynamic_client/4-returns","title":"Returns - Ory.Api.Oidc.set_oidc_dynamic_client/4","type":"function"},{"doc":"API calls for all endpoints tagged `Permission`.","ref":"Ory.Api.Permission.html","title":"Ory.Api.Permission","type":"module"},{"doc":"Check a permission\nTo learn how relationship tuples and the check works, head over to [the documentation](https://www.ory.sh/docs/keto/concepts/api-overview).\n\n#","ref":"Ory.Api.Permission.html#check_permission/2","title":"Ory.Api.Permission.check_permission/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:namespace` (String.t): Namespace of the Relationship\n  - `:object` (String.t): Object of the Relationship\n  - `:relation` (String.t): Relation of the Relationship\n  - `:subject_id` (String.t): SubjectID of the Relationship\n  - `:\"subject_set.namespace\"` (String.t): Namespace of the Subject Set\n  - `:\"subject_set.object\"` (String.t): Object of the Subject Set\n  - `:\"subject_set.relation\"` (String.t): Relation of the Subject Set\n  - `:\"max-depth\"` (integer()): \n\n#","ref":"Ory.Api.Permission.html#check_permission/2-parameters","title":"Parameters - Ory.Api.Permission.check_permission/2","type":"function"},{"doc":"- `{:ok, Ory.Model.CheckPermissionResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Permission.html#check_permission/2-returns","title":"Returns - Ory.Api.Permission.check_permission/2","type":"function"},{"doc":"Check a permission\nTo learn how relationship tuples and the check works, head over to [the documentation](https://www.ory.sh/docs/keto/concepts/api-overview).\n\n#","ref":"Ory.Api.Permission.html#check_permission_or_error/2","title":"Ory.Api.Permission.check_permission_or_error/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:namespace` (String.t): Namespace of the Relationship\n  - `:object` (String.t): Object of the Relationship\n  - `:relation` (String.t): Relation of the Relationship\n  - `:subject_id` (String.t): SubjectID of the Relationship\n  - `:\"subject_set.namespace\"` (String.t): Namespace of the Subject Set\n  - `:\"subject_set.object\"` (String.t): Object of the Subject Set\n  - `:\"subject_set.relation\"` (String.t): Relation of the Subject Set\n  - `:\"max-depth\"` (integer()): \n\n#","ref":"Ory.Api.Permission.html#check_permission_or_error/2-parameters","title":"Parameters - Ory.Api.Permission.check_permission_or_error/2","type":"function"},{"doc":"- `{:ok, Ory.Model.CheckPermissionResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Permission.html#check_permission_or_error/2-returns","title":"Returns - Ory.Api.Permission.check_permission_or_error/2","type":"function"},{"doc":"Expand a Relationship into permissions.\nUse this endpoint to expand a relationship tuple into permissions.\n\n#","ref":"Ory.Api.Permission.html#expand_permissions/5","title":"Ory.Api.Permission.expand_permissions/5","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `namespace` (String.t): Namespace of the Subject Set\n- `object` (String.t): Object of the Subject Set\n- `relation` (String.t): Relation of the Subject Set\n- `opts` (keyword): Optional parameters\n  - `:\"max-depth\"` (integer()): \n\n#","ref":"Ory.Api.Permission.html#expand_permissions/5-parameters","title":"Parameters - Ory.Api.Permission.expand_permissions/5","type":"function"},{"doc":"- `{:ok, Ory.Model.ExpandedPermissionTree.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Permission.html#expand_permissions/5-returns","title":"Returns - Ory.Api.Permission.expand_permissions/5","type":"function"},{"doc":"Check a permission\nTo learn how relationship tuples and the check works, head over to [the documentation](https://www.ory.sh/docs/keto/concepts/api-overview).\n\n#","ref":"Ory.Api.Permission.html#post_check_permission/2","title":"Ory.Api.Permission.post_check_permission/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"max-depth\"` (integer()): \n  - `:body` (PostCheckPermissionBody): \n\n#","ref":"Ory.Api.Permission.html#post_check_permission/2-parameters","title":"Parameters - Ory.Api.Permission.post_check_permission/2","type":"function"},{"doc":"- `{:ok, Ory.Model.CheckPermissionResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Permission.html#post_check_permission/2-returns","title":"Returns - Ory.Api.Permission.post_check_permission/2","type":"function"},{"doc":"Check a permission\nTo learn how relationship tuples and the check works, head over to [the documentation](https://www.ory.sh/docs/keto/concepts/api-overview).\n\n#","ref":"Ory.Api.Permission.html#post_check_permission_or_error/2","title":"Ory.Api.Permission.post_check_permission_or_error/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:\"max-depth\"` (integer()): nolint:deadcode,unused\n  - `:body` (PostCheckPermissionOrErrorBody): \n\n#","ref":"Ory.Api.Permission.html#post_check_permission_or_error/2-parameters","title":"Parameters - Ory.Api.Permission.post_check_permission_or_error/2","type":"function"},{"doc":"- `{:ok, Ory.Model.CheckPermissionResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Permission.html#post_check_permission_or_error/2-returns","title":"Returns - Ory.Api.Permission.post_check_permission_or_error/2","type":"function"},{"doc":"API calls for all endpoints tagged `Project`.","ref":"Ory.Api.Project.html","title":"Ory.Api.Project","type":"module"},{"doc":"Create a B2B SSO Organization\n\n#","ref":"Ory.Api.Project.html#create_organization/3","title":"Ory.Api.Project.create_organization/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (OrganizationBody): \n\n#","ref":"Ory.Api.Project.html#create_organization/3-parameters","title":"Parameters - Ory.Api.Project.create_organization/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Organization.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#create_organization/3-returns","title":"Returns - Ory.Api.Project.create_organization/3","type":"function"},{"doc":"Create a Project\nCreates a new project.\n\n#","ref":"Ory.Api.Project.html#create_project/2","title":"Ory.Api.Project.create_project/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateProjectBody): \n\n#","ref":"Ory.Api.Project.html#create_project/2-parameters","title":"Parameters - Ory.Api.Project.create_project/2","type":"function"},{"doc":"- `{:ok, Ory.Model.Project.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#create_project/2-returns","title":"Returns - Ory.Api.Project.create_project/2","type":"function"},{"doc":"Create project API token\nCreate an API token for a project.\n\n#","ref":"Ory.Api.Project.html#create_project_api_key/3","title":"Ory.Api.Project.create_project_api_key/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project` (String.t): The Project ID or Project slug\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateProjectApiKeyRequest): \n\n#","ref":"Ory.Api.Project.html#create_project_api_key/3-parameters","title":"Parameters - Ory.Api.Project.create_project_api_key/3","type":"function"},{"doc":"- `{:ok, Ory.Model.ProjectApiKey.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#create_project_api_key/3-returns","title":"Returns - Ory.Api.Project.create_project_api_key/3","type":"function"},{"doc":"Delete a B2B SSO Organization for a project.\n\n#","ref":"Ory.Api.Project.html#delete_organization/4","title":"Ory.Api.Project.delete_organization/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `organization_id` (String.t): Organization ID  The Organization's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#delete_organization/4-parameters","title":"Parameters - Ory.Api.Project.delete_organization/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#delete_organization/4-returns","title":"Returns - Ory.Api.Project.delete_organization/4","type":"function"},{"doc":"Delete project API token\nDeletes an API token and immediately removes it.\n\n#","ref":"Ory.Api.Project.html#delete_project_api_key/4","title":"Ory.Api.Project.delete_project_api_key/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project` (String.t): The Project ID or Project slug\n- `token_id` (String.t): The Token ID\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#delete_project_api_key/4-parameters","title":"Parameters - Ory.Api.Project.delete_project_api_key/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#delete_project_api_key/4-returns","title":"Returns - Ory.Api.Project.delete_project_api_key/4","type":"function"},{"doc":"Returns the Ory Network Project selected in the Ory Network Console\nUse this API to get your active project in the Ory Network Console UI.\n\n#","ref":"Ory.Api.Project.html#get_active_project_in_console/2","title":"Ory.Api.Project.get_active_project_in_console/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#get_active_project_in_console/2-parameters","title":"Parameters - Ory.Api.Project.get_active_project_in_console/2","type":"function"},{"doc":"- `{:ok, Ory.Model.ActiveProjectInConsole.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#get_active_project_in_console/2-returns","title":"Returns - Ory.Api.Project.get_active_project_in_console/2","type":"function"},{"doc":"Returns a B2B SSO Organization for a project by it's ID.\n\n#","ref":"Ory.Api.Project.html#get_organization/4","title":"Ory.Api.Project.get_organization/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `organization_id` (String.t): Organization ID  The Organization's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#get_organization/4-parameters","title":"Parameters - Ory.Api.Project.get_organization/4","type":"function"},{"doc":"- `{:ok, Ory.Model.GetOrganizationResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#get_organization/4-returns","title":"Returns - Ory.Api.Project.get_organization/4","type":"function"},{"doc":"Get a Project\nGet a projects you have access to by its ID.\n\n#","ref":"Ory.Api.Project.html#get_project/3","title":"Ory.Api.Project.get_project/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#get_project/3-parameters","title":"Parameters - Ory.Api.Project.get_project/3","type":"function"},{"doc":"- `{:ok, Ory.Model.Project.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#get_project/3-returns","title":"Returns - Ory.Api.Project.get_project/3","type":"function"},{"doc":"Get all members associated with this project\nThis endpoint requires the user to be a member of the project with the role `OWNER` or `DEVELOPER`.\n\n#","ref":"Ory.Api.Project.html#get_project_members/3","title":"Ory.Api.Project.get_project_members/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project` (String.t): \n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#get_project_members/3-parameters","title":"Parameters - Ory.Api.Project.get_project_members/3","type":"function"},{"doc":"- `{:ok, [%CloudAccount{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#get_project_members/3-returns","title":"Returns - Ory.Api.Project.get_project_members/3","type":"function"},{"doc":"Retrieves project metrics for the specified event type and time range\n\n#","ref":"Ory.Api.Project.html#get_project_metrics/7","title":"Ory.Api.Project.get_project_metrics/7","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID\n- `event_type` (String.t): The event type to query for\n- `resolution` (String.t): The resolution of the buckets  The minimum resolution is 1 hour.\n- `from` (DateTime.t): The start RFC3339 date of the time window\n- `to` (DateTime.t): The end RFC3339 date of the time window\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#get_project_metrics/7-parameters","title":"Parameters - Ory.Api.Project.get_project_metrics/7","type":"function"},{"doc":"- `{:ok, Ory.Model.GetProjectMetricsResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#get_project_metrics/7-returns","title":"Returns - Ory.Api.Project.get_project_metrics/7","type":"function"},{"doc":"#","ref":"Ory.Api.Project.html#list_organizations/3","title":"Ory.Api.Project.list_organizations/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#list_organizations/3-parameters","title":"Parameters - Ory.Api.Project.list_organizations/3","type":"function"},{"doc":"- `{:ok, Ory.Model.ListOrganizationsResponse.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#list_organizations/3-returns","title":"Returns - Ory.Api.Project.list_organizations/3","type":"function"},{"doc":"List a project's API Tokens\nA list of all the project's API tokens.\n\n#","ref":"Ory.Api.Project.html#list_project_api_keys/3","title":"Ory.Api.Project.list_project_api_keys/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project` (String.t): The Project ID or Project slug\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#list_project_api_keys/3-parameters","title":"Parameters - Ory.Api.Project.list_project_api_keys/3","type":"function"},{"doc":"- `{:ok, [%ProjectApiKey{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#list_project_api_keys/3-returns","title":"Returns - Ory.Api.Project.list_project_api_keys/3","type":"function"},{"doc":"List All Projects\nLists all projects you have access to.\n\n#","ref":"Ory.Api.Project.html#list_projects/2","title":"Ory.Api.Project.list_projects/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#list_projects/2-parameters","title":"Parameters - Ory.Api.Project.list_projects/2","type":"function"},{"doc":"- `{:ok, [%ProjectMetadata{}, ...]}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#list_projects/2-returns","title":"Returns - Ory.Api.Project.list_projects/2","type":"function"},{"doc":"Patch an Ory Network Project Configuration\nDeprecated: Use the `patchProjectWithRevision` endpoint instead to specify the exact revision the patch was generated for.  This endpoints allows you to patch individual Ory Network project configuration keys for Ory's services (identity, permission, ...). The configuration format is fully compatible with the open source projects for the respective services (e.g. Ory Kratos for Identity, Ory Keto for Permissions).  This endpoint expects the `version` key to be set in the payload. If it is unset, it will try to import the config as if it is from the most recent version.  If you have an older version of a configuration, you should set the version key in the payload!  While this endpoint is able to process all configuration items related to features (e.g. password reset), it does not support operational configuration items (e.g. port, tracing, logging) otherwise available in the open source.  For configuration items that can not be translated to the Ory Network, this endpoint will return a list of warnings to help you understand which parts of your config could not be processed.\n\n#","ref":"Ory.Api.Project.html#patch_project/3","title":"Ory.Api.Project.patch_project/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `opts` (keyword): Optional parameters\n  - `:body` ([Ory.Model.JsonPatch.t]): \n\n#","ref":"Ory.Api.Project.html#patch_project/3-parameters","title":"Parameters - Ory.Api.Project.patch_project/3","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulProjectUpdate.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#patch_project/3-returns","title":"Returns - Ory.Api.Project.patch_project/3","type":"function"},{"doc":"Irrecoverably purge a project\n!! Use with extreme caution !!  Using this API endpoint you can purge (completely delete) a project and its data. This action can not be undone and will delete ALL your data.  !! Use with extreme caution !!\n\n#","ref":"Ory.Api.Project.html#purge_project/3","title":"Ory.Api.Project.purge_project/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#purge_project/3-parameters","title":"Parameters - Ory.Api.Project.purge_project/3","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#purge_project/3-returns","title":"Returns - Ory.Api.Project.purge_project/3","type":"function"},{"doc":"Remove a member associated with this project\nThis also sets their invite status to `REMOVED`. This endpoint requires the user to be a member of the project with the role `OWNER`.\n\n#","ref":"Ory.Api.Project.html#remove_project_member/4","title":"Ory.Api.Project.remove_project_member/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project` (String.t): \n- `member` (String.t): \n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Project.html#remove_project_member/4-parameters","title":"Parameters - Ory.Api.Project.remove_project_member/4","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#remove_project_member/4-returns","title":"Returns - Ory.Api.Project.remove_project_member/4","type":"function"},{"doc":"Sets the Ory Network Project active in the Ory Network Console\nUse this API to set your active project in the Ory Network Console UI.\n\n#","ref":"Ory.Api.Project.html#set_active_project_in_console/2","title":"Ory.Api.Project.set_active_project_in_console/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (SetActiveProjectInConsoleBody): \n\n#","ref":"Ory.Api.Project.html#set_active_project_in_console/2-parameters","title":"Parameters - Ory.Api.Project.set_active_project_in_console/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#set_active_project_in_console/2-returns","title":"Returns - Ory.Api.Project.set_active_project_in_console/2","type":"function"},{"doc":"Update an Ory Network Project Configuration\nThis endpoints allows you to update the Ory Network project configuration for individual services (identity, permission, ...). The configuration is fully compatible with the open source projects for the respective services (e.g. Ory Kratos for Identity, Ory Keto for Permissions).  This endpoint expects the `version` key to be set in the payload. If it is unset, it will try to import the config as if it is from the most recent version.  If you have an older version of a configuration, you should set the version key in the payload!  While this endpoint is able to process all configuration items related to features (e.g. password reset), it does not support operational configuration items (e.g. port, tracing, logging) otherwise available in the open source.  For configuration items that can not be translated to the Ory Network, this endpoint will return a list of warnings to help you understand which parts of your config could not be processed.  Be aware that updating any service's configuration will completely override your current configuration for that service!\n\n#","ref":"Ory.Api.Project.html#set_project/3","title":"Ory.Api.Project.set_project/3","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (SetProject): \n\n#","ref":"Ory.Api.Project.html#set_project/3-parameters","title":"Parameters - Ory.Api.Project.set_project/3","type":"function"},{"doc":"- `{:ok, Ory.Model.SuccessfulProjectUpdate.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#set_project/3-returns","title":"Returns - Ory.Api.Project.set_project/3","type":"function"},{"doc":"Update a B2B SSO Organization for a project.\n\n#","ref":"Ory.Api.Project.html#update_organization/4","title":"Ory.Api.Project.update_organization/4","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `project_id` (String.t): Project ID  The project's ID.\n- `organization_id` (String.t): Organization ID  The Organization's ID.\n- `opts` (keyword): Optional parameters\n  - `:body` (OrganizationBody): \n\n#","ref":"Ory.Api.Project.html#update_organization/4-parameters","title":"Parameters - Ory.Api.Project.update_organization/4","type":"function"},{"doc":"- `{:ok, Ory.Model.Organization.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Project.html#update_organization/4-returns","title":"Returns - Ory.Api.Project.update_organization/4","type":"function"},{"doc":"API calls for all endpoints tagged `Relationship`.","ref":"Ory.Api.Relationship.html","title":"Ory.Api.Relationship","type":"module"},{"doc":"Check the syntax of an OPL file\nThe OPL file is expected in the body of the request.\n\n#","ref":"Ory.Api.Relationship.html#check_opl_syntax/2","title":"Ory.Api.Relationship.check_opl_syntax/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (String.t): \n\n#","ref":"Ory.Api.Relationship.html#check_opl_syntax/2-parameters","title":"Parameters - Ory.Api.Relationship.check_opl_syntax/2","type":"function"},{"doc":"- `{:ok, Ory.Model.CheckOplSyntaxResult.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Relationship.html#check_opl_syntax/2-returns","title":"Returns - Ory.Api.Relationship.check_opl_syntax/2","type":"function"},{"doc":"Create a Relationship\nUse this endpoint to create a relationship.\n\n#","ref":"Ory.Api.Relationship.html#create_relationship/2","title":"Ory.Api.Relationship.create_relationship/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` (CreateRelationshipBody): \n\n#","ref":"Ory.Api.Relationship.html#create_relationship/2-parameters","title":"Parameters - Ory.Api.Relationship.create_relationship/2","type":"function"},{"doc":"- `{:ok, Ory.Model.Relationship.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Relationship.html#create_relationship/2-returns","title":"Returns - Ory.Api.Relationship.create_relationship/2","type":"function"},{"doc":"Delete Relationships\nUse this endpoint to delete relationships\n\n#","ref":"Ory.Api.Relationship.html#delete_relationships/2","title":"Ory.Api.Relationship.delete_relationships/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:namespace` (String.t): Namespace of the Relationship\n  - `:object` (String.t): Object of the Relationship\n  - `:relation` (String.t): Relation of the Relationship\n  - `:subject_id` (String.t): SubjectID of the Relationship\n  - `:\"subject_set.namespace\"` (String.t): Namespace of the Subject Set\n  - `:\"subject_set.object\"` (String.t): Object of the Subject Set\n  - `:\"subject_set.relation\"` (String.t): Relation of the Subject Set\n\n#","ref":"Ory.Api.Relationship.html#delete_relationships/2-parameters","title":"Parameters - Ory.Api.Relationship.delete_relationships/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Relationship.html#delete_relationships/2-returns","title":"Returns - Ory.Api.Relationship.delete_relationships/2","type":"function"},{"doc":"Query relationships\nGet all relationships that match the query. Only the namespace field is required.\n\n#","ref":"Ory.Api.Relationship.html#get_relationships/2","title":"Ory.Api.Relationship.get_relationships/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:page_token` (String.t): \n  - `:page_size` (integer()): \n  - `:namespace` (String.t): Namespace of the Relationship\n  - `:object` (String.t): Object of the Relationship\n  - `:relation` (String.t): Relation of the Relationship\n  - `:subject_id` (String.t): SubjectID of the Relationship\n  - `:\"subject_set.namespace\"` (String.t): Namespace of the Subject Set\n  - `:\"subject_set.object\"` (String.t): Object of the Subject Set\n  - `:\"subject_set.relation\"` (String.t): Relation of the Subject Set\n\n#","ref":"Ory.Api.Relationship.html#get_relationships/2-parameters","title":"Parameters - Ory.Api.Relationship.get_relationships/2","type":"function"},{"doc":"- `{:ok, Ory.Model.Relationships.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Relationship.html#get_relationships/2-returns","title":"Returns - Ory.Api.Relationship.get_relationships/2","type":"function"},{"doc":"Query namespaces\nGet all namespaces\n\n#","ref":"Ory.Api.Relationship.html#list_relationship_namespaces/2","title":"Ory.Api.Relationship.list_relationship_namespaces/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Relationship.html#list_relationship_namespaces/2-parameters","title":"Parameters - Ory.Api.Relationship.list_relationship_namespaces/2","type":"function"},{"doc":"- `{:ok, Ory.Model.RelationshipNamespaces.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Relationship.html#list_relationship_namespaces/2-returns","title":"Returns - Ory.Api.Relationship.list_relationship_namespaces/2","type":"function"},{"doc":"Patch Multiple Relationships\nUse this endpoint to patch one or more relationships.\n\n#","ref":"Ory.Api.Relationship.html#patch_relationships/2","title":"Ory.Api.Relationship.patch_relationships/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n  - `:body` ([Ory.Model.RelationshipPatch.t]): \n\n#","ref":"Ory.Api.Relationship.html#patch_relationships/2-parameters","title":"Parameters - Ory.Api.Relationship.patch_relationships/2","type":"function"},{"doc":"- `{:ok, nil}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Relationship.html#patch_relationships/2-returns","title":"Returns - Ory.Api.Relationship.patch_relationships/2","type":"function"},{"doc":"API calls for all endpoints tagged `Wellknown`.","ref":"Ory.Api.Wellknown.html","title":"Ory.Api.Wellknown","type":"module"},{"doc":"Discover Well-Known JSON Web Keys\nThis endpoint returns JSON Web Keys required to verifying OpenID Connect ID Tokens and, if enabled, OAuth 2.0 JWT Access Tokens. This endpoint can be used with client libraries like [node-jwks-rsa](https://github.com/auth0/node-jwks-rsa) among others.\n\n#","ref":"Ory.Api.Wellknown.html#discover_json_web_keys/2","title":"Ory.Api.Wellknown.discover_json_web_keys/2","type":"function"},{"doc":"- `connection` (Ory.Connection): Connection to server\n- `opts` (keyword): Optional parameters\n\n#","ref":"Ory.Api.Wellknown.html#discover_json_web_keys/2-parameters","title":"Parameters - Ory.Api.Wellknown.discover_json_web_keys/2","type":"function"},{"doc":"- `{:ok, Ory.Model.JsonWebKeySet.t}` on success\n- `{:error, Tesla.Env.t}` on failure","ref":"Ory.Api.Wellknown.html#discover_json_web_keys/2-returns","title":"Returns - Ory.Api.Wellknown.discover_json_web_keys/2","type":"function"},{"doc":"Handle Tesla connections for Ory.\n\nAdditional middleware can be set in the compile-time or runtime configuration:\n\n    config :tesla, Ory.Connection,\n      base_url: \"https://playground.projects.oryapis.com\",\n      adapter: Tesla.Adapter.Hackney\n\nThe default base URL can also be set as:\n\n    config :ory_client,\n      :base_url, \"https://playground.projects.oryapis.com\"","ref":"Ory.Connection.html","title":"Ory.Connection","type":"module"},{"doc":"Returns the default adapter for this API.","ref":"Ory.Connection.html#adapter/0","title":"Ory.Connection.adapter/0","type":"function"},{"doc":"Returns an authentication middleware tuple for a Tesla client that sets\nthe `authorization` header to the value of the provided bearer token. If\nthe token is provided as a function of arity one, it will be called with\na list of requested scopes that will obtain an OAuth2 token.\n\n#","ref":"Ory.Connection.html#authorization/2","title":"Ory.Connection.authorization/2","type":"function"},{"doc":"- `token`: a String or a function of arity one. This value, or the result\n  of the function call, will be set as a bearer token in the\n  `authorization` header.\n\n- `scopes`: an optional list of scopes for use with the token fetcher\n  function. Ignored when `token` is provided as a String. Defaults to\n  `[\"offline\", \"offline_access\", \"openid\"]`.\n\n#","ref":"Ory.Connection.html#authorization/2-parameters","title":"Parameters - Ory.Connection.authorization/2","type":"function"},{"doc":"`{Tesla.Middleware.Headers, [{\"authorization\", TOKEN}]}`","ref":"Ory.Connection.html#authorization/2-returns","title":"Returns - Ory.Connection.authorization/2","type":"function"},{"doc":"Returns fully configured middleware for passing to Tesla.client/2.","ref":"Ory.Connection.html#middleware/1","title":"Ory.Connection.middleware/1","type":"function"},{"doc":"Configure a client with no authentication.\n\n#","ref":"Ory.Connection.html#new/0","title":"Ory.Connection.new/0","type":"function"},{"doc":"Tesla.Env.client","ref":"Ory.Connection.html#new/0-returns","title":"Returns - Ory.Connection.new/0","type":"function"},{"doc":"Configure a client that may have authentication.\n\n#","ref":"Ory.Connection.html#new/1","title":"Ory.Connection.new/1","type":"function"},{"doc":"The first parameter *may* be a `token` (a string, a token fetcher class,\nor a module/function tuple) or a keyword list of `options`. They are\ndocumented separately, but only *one* of them will be passed.\n\n- `token`: a String or a function of arity one. This value, or the result\n  of the function call, will be set as a bearer token in the\n  `authorization` header.\n- `options`: a keyword list of OpenAPIPetstore.Connection.options.\n\n#","ref":"Ory.Connection.html#new/1-parameters","title":"Parameters - Ory.Connection.new/1","type":"function"},{"doc":"Tesla.Env.client","ref":"Ory.Connection.html#new/1-returns","title":"Returns - Ory.Connection.new/1","type":"function"},{"doc":"Configure a client using bearer authentication with scopes, or with\nusername and password for basic authentication.\n\n#","ref":"Ory.Connection.html#new/3","title":"Ory.Connection.new/3","type":"function"},{"doc":"- `token_or_username`: a String representing a bearer token or a username,\n  depending on the type of the next parameter, or a function arity one\n  that returns a bearer token.\n- `scopes_or_password`: a list of Strings represenging OAuth2 scopes, or\n  a single string that is the password for the username provided.\n- `options`: a keyword list of OpenAPIPetstore.Connection.options.\n\n#","ref":"Ory.Connection.html#new/3-parameters","title":"Parameters - Ory.Connection.new/3","type":"function"},{"doc":"Tesla.Env.client","ref":"Ory.Connection.html#new/3-returns","title":"Returns - Ory.Connection.new/3","type":"function"},{"doc":"Forward requests to Tesla.","ref":"Ory.Connection.html#request/2","title":"Ory.Connection.request/2","type":"function"},{"doc":"The list of options that can be passed to new/1.\n\n- `base_url`: Overrides the base URL on a per-client basis.\n- `user_agent`: Overrides the User-Agent header.\n- `token`: An OAuth2 token or a token fetcher function.\n- `token_scopes`: A list of OAuth2 scope strings for use with a token\n  fetcher function.\n- `username`: A username for basic authentication.\n- `password`: A password for basic authentication.","ref":"Ory.Connection.html#t:options/0","title":"Ory.Connection.options/0","type":"type"},{"doc":"An arity-1 function or module/function tuple specification which, given\na list of scopes, obtains an OAuth2 token.","ref":"Ory.Connection.html#t:token_fetcher/0","title":"Ory.Connection.token_fetcher/0","type":"type"},{"doc":"Helper functions for deserializing responses into models","ref":"Ory.Deserializer.html","title":"Ory.Deserializer","type":"module"},{"doc":"Update the provided model with a deserialization of a nested value","ref":"Ory.Deserializer.html#deserialize/5","title":"Ory.Deserializer.deserialize/5","type":"function"},{"doc":"","ref":"Ory.Model.AcceptOAuth2ConsentRequest.html","title":"Ory.Model.AcceptOAuth2ConsentRequest","type":"module"},{"doc":"","ref":"Ory.Model.AcceptOAuth2ConsentRequest.html#t:t/0","title":"Ory.Model.AcceptOAuth2ConsentRequest.t/0","type":"type"},{"doc":"","ref":"Ory.Model.AcceptOAuth2ConsentRequestSession.html","title":"Ory.Model.AcceptOAuth2ConsentRequestSession","type":"module"},{"doc":"","ref":"Ory.Model.AcceptOAuth2ConsentRequestSession.html#t:t/0","title":"Ory.Model.AcceptOAuth2ConsentRequestSession.t/0","type":"type"},{"doc":"","ref":"Ory.Model.AcceptOAuth2LoginRequest.html","title":"Ory.Model.AcceptOAuth2LoginRequest","type":"module"},{"doc":"","ref":"Ory.Model.AcceptOAuth2LoginRequest.html#t:t/0","title":"Ory.Model.AcceptOAuth2LoginRequest.t/0","type":"type"},{"doc":"The Active Project ID","ref":"Ory.Model.ActiveProjectInConsole.html","title":"Ory.Model.ActiveProjectInConsole","type":"module"},{"doc":"","ref":"Ory.Model.ActiveProjectInConsole.html#t:t/0","title":"Ory.Model.ActiveProjectInConsole.t/0","type":"type"},{"doc":"","ref":"Ory.Model.AttributesCountDatapoint.html","title":"Ory.Model.AttributesCountDatapoint","type":"module"},{"doc":"","ref":"Ory.Model.AttributesCountDatapoint.html#t:t/0","title":"Ory.Model.AttributesCountDatapoint.t/0","type":"type"},{"doc":"The authenticator assurance level can be one of \"aal1\", \"aal2\", or \"aal3\". A higher number means that it is harder for an attacker to compromise the account.  Generally, \"aal1\" implies that one authentication factor was used while AAL2 implies that two factors (e.g. password + TOTP) have been used.  To learn more about these levels please head over to: https://www.ory.sh/kratos/docs/concepts/credentials","ref":"Ory.Model.AuthenticatorAssuranceLevel.html","title":"Ory.Model.AuthenticatorAssuranceLevel","type":"module"},{"doc":"","ref":"Ory.Model.AuthenticatorAssuranceLevel.html#t:t/0","title":"Ory.Model.AuthenticatorAssuranceLevel.t/0","type":"type"},{"doc":"Patch identities response","ref":"Ory.Model.BatchPatchIdentitiesResponse.html","title":"Ory.Model.BatchPatchIdentitiesResponse","type":"module"},{"doc":"","ref":"Ory.Model.BatchPatchIdentitiesResponse.html#t:t/0","title":"Ory.Model.BatchPatchIdentitiesResponse.t/0","type":"type"},{"doc":"","ref":"Ory.Model.CheckOplSyntaxResult.html","title":"Ory.Model.CheckOplSyntaxResult","type":"module"},{"doc":"","ref":"Ory.Model.CheckOplSyntaxResult.html#t:t/0","title":"Ory.Model.CheckOplSyntaxResult.t/0","type":"type"},{"doc":"The content of the allowed field is mirrored in the HTTP status code.","ref":"Ory.Model.CheckPermissionResult.html","title":"Ory.Model.CheckPermissionResult","type":"module"},{"doc":"","ref":"Ory.Model.CheckPermissionResult.html#t:t/0","title":"Ory.Model.CheckPermissionResult.t/0","type":"type"},{"doc":"","ref":"Ory.Model.CloudAccount.html","title":"Ory.Model.CloudAccount","type":"module"},{"doc":"","ref":"Ory.Model.CloudAccount.html#t:t/0","title":"Ory.Model.CloudAccount.t/0","type":"type"},{"doc":"Control API consistency guarantees","ref":"Ory.Model.ConsistencyRequestParameters.html","title":"Ory.Model.ConsistencyRequestParameters","type":"module"},{"doc":"","ref":"Ory.Model.ConsistencyRequestParameters.html#t:t/0","title":"Ory.Model.ConsistencyRequestParameters.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ContinueWith.html","title":"Ory.Model.ContinueWith","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWith.html#t:t/0","title":"Ory.Model.ContinueWith.t/0","type":"type"},{"doc":"Indicates that a session was issued, and the application should use this token for authenticated requests","ref":"Ory.Model.ContinueWithSetOrySessionToken.html","title":"Ory.Model.ContinueWithSetOrySessionToken","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithSetOrySessionToken.html#t:t/0","title":"Ory.Model.ContinueWithSetOrySessionToken.t/0","type":"type"},{"doc":"Indicates, that the UI flow could be continued by showing a verification ui","ref":"Ory.Model.ContinueWithVerificationUi.html","title":"Ory.Model.ContinueWithVerificationUi","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUi.html#t:t/0","title":"Ory.Model.ContinueWithVerificationUi.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUiFlow.html","title":"Ory.Model.ContinueWithVerificationUiFlow","type":"module"},{"doc":"","ref":"Ory.Model.ContinueWithVerificationUiFlow.html#t:t/0","title":"Ory.Model.ContinueWithVerificationUiFlow.t/0","type":"type"},{"doc":"A Message's Status","ref":"Ory.Model.CourierMessageStatus.html","title":"Ory.Model.CourierMessageStatus","type":"module"},{"doc":"","ref":"Ory.Model.CourierMessageStatus.html#t:t/0","title":"Ory.Model.CourierMessageStatus.t/0","type":"type"},{"doc":"It can either be `email` or `phone`","ref":"Ory.Model.CourierMessageType.html","title":"Ory.Model.CourierMessageType","type":"module"},{"doc":"","ref":"Ory.Model.CourierMessageType.html#t:t/0","title":"Ory.Model.CourierMessageType.t/0","type":"type"},{"doc":"Create Custom Hostname Request Body","ref":"Ory.Model.CreateCustomDomainBody.html","title":"Ory.Model.CreateCustomDomainBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateCustomDomainBody.html#t:t/0","title":"Ory.Model.CreateCustomDomainBody.t/0","type":"type"},{"doc":"Create Identity Body","ref":"Ory.Model.CreateIdentityBody.html","title":"Ory.Model.CreateIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateIdentityBody.html#t:t/0","title":"Ory.Model.CreateIdentityBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.CreateInviteResponse.html","title":"Ory.Model.CreateInviteResponse","type":"module"},{"doc":"","ref":"Ory.Model.CreateInviteResponse.html#t:t/0","title":"Ory.Model.CreateInviteResponse.t/0","type":"type"},{"doc":"Create JSON Web Key Set Request Body","ref":"Ory.Model.CreateJsonWebKeySet.html","title":"Ory.Model.CreateJsonWebKeySet","type":"module"},{"doc":"","ref":"Ory.Model.CreateJsonWebKeySet.html#t:t/0","title":"Ory.Model.CreateJsonWebKeySet.t/0","type":"type"},{"doc":"","ref":"Ory.Model.CreateProjectApiKeyRequest.html","title":"Ory.Model.CreateProjectApiKeyRequest","type":"module"},{"doc":"","ref":"Ory.Model.CreateProjectApiKeyRequest.html#t:t/0","title":"Ory.Model.CreateProjectApiKeyRequest.t/0","type":"type"},{"doc":"Create Project Request Body","ref":"Ory.Model.CreateProjectBody.html","title":"Ory.Model.CreateProjectBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateProjectBody.html#t:t/0","title":"Ory.Model.CreateProjectBody.t/0","type":"type"},{"doc":"Create a Project Branding","ref":"Ory.Model.CreateProjectBranding.html","title":"Ory.Model.CreateProjectBranding","type":"module"},{"doc":"","ref":"Ory.Model.CreateProjectBranding.html#t:t/0","title":"Ory.Model.CreateProjectBranding.t/0","type":"type"},{"doc":"Create Project MemberInvite Request Body","ref":"Ory.Model.CreateProjectMemberInviteBody.html","title":"Ory.Model.CreateProjectMemberInviteBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateProjectMemberInviteBody.html#t:t/0","title":"Ory.Model.CreateProjectMemberInviteBody.t/0","type":"type"},{"doc":"Create Recovery Code for Identity Request Body","ref":"Ory.Model.CreateRecoveryCodeForIdentityBody.html","title":"Ory.Model.CreateRecoveryCodeForIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateRecoveryCodeForIdentityBody.html#t:t/0","title":"Ory.Model.CreateRecoveryCodeForIdentityBody.t/0","type":"type"},{"doc":"Create Recovery Link for Identity Request Body","ref":"Ory.Model.CreateRecoveryLinkForIdentityBody.html","title":"Ory.Model.CreateRecoveryLinkForIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateRecoveryLinkForIdentityBody.html#t:t/0","title":"Ory.Model.CreateRecoveryLinkForIdentityBody.t/0","type":"type"},{"doc":"Create Relationship Request Body","ref":"Ory.Model.CreateRelationshipBody.html","title":"Ory.Model.CreateRelationshipBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateRelationshipBody.html#t:t/0","title":"Ory.Model.CreateRelationshipBody.t/0","type":"type"},{"doc":"Create Subscription Request Body","ref":"Ory.Model.CreateSubscriptionBody.html","title":"Ory.Model.CreateSubscriptionBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateSubscriptionBody.html#t:t/0","title":"Ory.Model.CreateSubscriptionBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.CreateVerifiableCredentialRequestBody.html","title":"Ory.Model.CreateVerifiableCredentialRequestBody","type":"module"},{"doc":"","ref":"Ory.Model.CreateVerifiableCredentialRequestBody.html#t:t/0","title":"Ory.Model.CreateVerifiableCredentialRequestBody.t/0","type":"type"},{"doc":"Includes information about the supported verifiable credentials.","ref":"Ory.Model.CredentialSupportedDraft00.html","title":"Ory.Model.CredentialSupportedDraft00","type":"module"},{"doc":"","ref":"Ory.Model.CredentialSupportedDraft00.html#t:t/0","title":"Ory.Model.CredentialSupportedDraft00.t/0","type":"type"},{"doc":"Custom Hostname","ref":"Ory.Model.CustomDomain.html","title":"Ory.Model.CustomDomain","type":"module"},{"doc":"","ref":"Ory.Model.CustomDomain.html#t:t/0","title":"Ory.Model.CustomDomain.t/0","type":"type"},{"doc":"Deleted Session Count","ref":"Ory.Model.DeleteMySessionsCount.html","title":"Ory.Model.DeleteMySessionsCount","type":"module"},{"doc":"","ref":"Ory.Model.DeleteMySessionsCount.html#t:t/0","title":"Ory.Model.DeleteMySessionsCount.t/0","type":"type"},{"doc":"Contains the data of the email template, including the subject and body in HTML and plaintext variants","ref":"Ory.Model.EmailTemplateData.html","title":"Ory.Model.EmailTemplateData","type":"module"},{"doc":"","ref":"Ory.Model.EmailTemplateData.html#t:t/0","title":"Ory.Model.EmailTemplateData.t/0","type":"type"},{"doc":"","ref":"Ory.Model.EmailTemplateDataBody.html","title":"Ory.Model.EmailTemplateDataBody","type":"module"},{"doc":"","ref":"Ory.Model.EmailTemplateDataBody.html#t:t/0","title":"Ory.Model.EmailTemplateDataBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.html","title":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied","type":"module"},{"doc":"","ref":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.html#t:t/0","title":"Ory.Model.ErrorAuthenticatorAssuranceLevelNotSatisfied.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ErrorBrowserLocationChangeRequired.html","title":"Ory.Model.ErrorBrowserLocationChangeRequired","type":"module"},{"doc":"","ref":"Ory.Model.ErrorBrowserLocationChangeRequired.html#t:t/0","title":"Ory.Model.ErrorBrowserLocationChangeRequired.t/0","type":"type"},{"doc":"Is sent when a flow is replaced by a different flow of the same class","ref":"Ory.Model.ErrorFlowReplaced.html","title":"Ory.Model.ErrorFlowReplaced","type":"module"},{"doc":"","ref":"Ory.Model.ErrorFlowReplaced.html#t:t/0","title":"Ory.Model.ErrorFlowReplaced.t/0","type":"type"},{"doc":"The standard Ory JSON API error format.","ref":"Ory.Model.ErrorGeneric.html","title":"Ory.Model.ErrorGeneric","type":"module"},{"doc":"","ref":"Ory.Model.ErrorGeneric.html#t:t/0","title":"Ory.Model.ErrorGeneric.t/0","type":"type"},{"doc":"Error","ref":"Ory.Model.ErrorOAuth2.html","title":"Ory.Model.ErrorOAuth2","type":"module"},{"doc":"","ref":"Ory.Model.ErrorOAuth2.html#t:t/0","title":"Ory.Model.ErrorOAuth2.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ExpandedPermissionTree.html","title":"Ory.Model.ExpandedPermissionTree","type":"module"},{"doc":"","ref":"Ory.Model.ExpandedPermissionTree.html#t:t/0","title":"Ory.Model.ExpandedPermissionTree.t/0","type":"type"},{"doc":"","ref":"Ory.Model.FlowError.html","title":"Ory.Model.FlowError","type":"module"},{"doc":"","ref":"Ory.Model.FlowError.html#t:t/0","title":"Ory.Model.FlowError.t/0","type":"type"},{"doc":"Error responses are sent when an error (e.g. unauthorized, bad request, ...) occurred.","ref":"Ory.Model.GenericError.html","title":"Ory.Model.GenericError","type":"module"},{"doc":"","ref":"Ory.Model.GenericError.html#t:t/0","title":"Ory.Model.GenericError.t/0","type":"type"},{"doc":"Error response","ref":"Ory.Model.GenericErrorContent.html","title":"Ory.Model.GenericErrorContent","type":"module"},{"doc":"","ref":"Ory.Model.GenericErrorContent.html#t:t/0","title":"Ory.Model.GenericErrorContent.t/0","type":"type"},{"doc":"","ref":"Ory.Model.GenericUsage.html","title":"Ory.Model.GenericUsage","type":"module"},{"doc":"","ref":"Ory.Model.GenericUsage.html#t:t/0","title":"Ory.Model.GenericUsage.t/0","type":"type"},{"doc":"Response of the getAttributesCount endpoint","ref":"Ory.Model.GetAttributesCountResponse.html","title":"Ory.Model.GetAttributesCountResponse","type":"module"},{"doc":"","ref":"Ory.Model.GetAttributesCountResponse.html#t:t/0","title":"Ory.Model.GetAttributesCountResponse.t/0","type":"type"},{"doc":"Ory Identity Schema Location","ref":"Ory.Model.GetManagedIdentitySchemaLocation.html","title":"Ory.Model.GetManagedIdentitySchemaLocation","type":"module"},{"doc":"","ref":"Ory.Model.GetManagedIdentitySchemaLocation.html#t:t/0","title":"Ory.Model.GetManagedIdentitySchemaLocation.t/0","type":"type"},{"doc":"","ref":"Ory.Model.GetOrganizationResponse.html","title":"Ory.Model.GetOrganizationResponse","type":"module"},{"doc":"","ref":"Ory.Model.GetOrganizationResponse.html#t:t/0","title":"Ory.Model.GetOrganizationResponse.t/0","type":"type"},{"doc":"Response of the getMetrics endpoint","ref":"Ory.Model.GetProjectMetricsResponse.html","title":"Ory.Model.GetProjectMetricsResponse","type":"module"},{"doc":"","ref":"Ory.Model.GetProjectMetricsResponse.html#t:t/0","title":"Ory.Model.GetProjectMetricsResponse.t/0","type":"type"},{"doc":"Response of the getSessionActivity endpoint","ref":"Ory.Model.GetSessionActivityResponse.html","title":"Ory.Model.GetSessionActivityResponse","type":"module"},{"doc":"","ref":"Ory.Model.GetSessionActivityResponse.html#t:t/0","title":"Ory.Model.GetSessionActivityResponse.t/0","type":"type"},{"doc":"","ref":"Ory.Model.GetVersion200Response.html","title":"Ory.Model.GetVersion200Response","type":"module"},{"doc":"","ref":"Ory.Model.GetVersion200Response.html#t:t/0","title":"Ory.Model.GetVersion200Response.t/0","type":"type"},{"doc":"","ref":"Ory.Model.HealthNotReadyStatus.html","title":"Ory.Model.HealthNotReadyStatus","type":"module"},{"doc":"","ref":"Ory.Model.HealthNotReadyStatus.html#t:t/0","title":"Ory.Model.HealthNotReadyStatus.t/0","type":"type"},{"doc":"","ref":"Ory.Model.HealthStatus.html","title":"Ory.Model.HealthStatus","type":"module"},{"doc":"","ref":"Ory.Model.HealthStatus.html#t:t/0","title":"Ory.Model.HealthStatus.t/0","type":"type"},{"doc":"An [identity](https://www.ory.sh/docs/kratos/concepts/identity-user-model) represents a (human) user in Ory.","ref":"Ory.Model.Identity.html","title":"Ory.Model.Identity","type":"module"},{"doc":"","ref":"Ory.Model.Identity.html#t:t/0","title":"Ory.Model.Identity.t/0","type":"type"},{"doc":"Credentials represents a specific credential type","ref":"Ory.Model.IdentityCredentials.html","title":"Ory.Model.IdentityCredentials","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentials.html#t:t/0","title":"Ory.Model.IdentityCredentials.t/0","type":"type"},{"doc":"CredentialsCode represents a one time login/registration code","ref":"Ory.Model.IdentityCredentialsCode.html","title":"Ory.Model.IdentityCredentialsCode","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsCode.html#t:t/0","title":"Ory.Model.IdentityCredentialsCode.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidc.html","title":"Ory.Model.IdentityCredentialsOidc","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidc.html#t:t/0","title":"Ory.Model.IdentityCredentialsOidc.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidcProvider.html","title":"Ory.Model.IdentityCredentialsOidcProvider","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsOidcProvider.html#t:t/0","title":"Ory.Model.IdentityCredentialsOidcProvider.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityCredentialsPassword.html","title":"Ory.Model.IdentityCredentialsPassword","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsPassword.html#t:t/0","title":"Ory.Model.IdentityCredentialsPassword.t/0","type":"type"},{"doc":"and so on.","ref":"Ory.Model.IdentityCredentialsType.html","title":"Ory.Model.IdentityCredentialsType","type":"module"},{"doc":"","ref":"Ory.Model.IdentityCredentialsType.html#t:t/0","title":"Ory.Model.IdentityCredentialsType.t/0","type":"type"},{"doc":"Payload for patching an identity","ref":"Ory.Model.IdentityPatch.html","title":"Ory.Model.IdentityPatch","type":"module"},{"doc":"","ref":"Ory.Model.IdentityPatch.html#t:t/0","title":"Ory.Model.IdentityPatch.t/0","type":"type"},{"doc":"Response for a single identity patch","ref":"Ory.Model.IdentityPatchResponse.html","title":"Ory.Model.IdentityPatchResponse","type":"module"},{"doc":"","ref":"Ory.Model.IdentityPatchResponse.html#t:t/0","title":"Ory.Model.IdentityPatchResponse.t/0","type":"type"},{"doc":"An Identity JSON Schema Container","ref":"Ory.Model.IdentitySchemaContainer.html","title":"Ory.Model.IdentitySchemaContainer","type":"module"},{"doc":"","ref":"Ory.Model.IdentitySchemaContainer.html#t:t/0","title":"Ory.Model.IdentitySchemaContainer.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentitySchemaPreset.html","title":"Ory.Model.IdentitySchemaPreset","type":"module"},{"doc":"","ref":"Ory.Model.IdentitySchemaPreset.html#t:t/0","title":"Ory.Model.IdentitySchemaPreset.t/0","type":"type"},{"doc":"The state can either be `active` or `inactive`.","ref":"Ory.Model.IdentityState.html","title":"Ory.Model.IdentityState","type":"module"},{"doc":"","ref":"Ory.Model.IdentityState.html#t:t/0","title":"Ory.Model.IdentityState.t/0","type":"type"},{"doc":"Create Identity and Import Credentials","ref":"Ory.Model.IdentityWithCredentials.html","title":"Ory.Model.IdentityWithCredentials","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentials.html#t:t/0","title":"Ory.Model.IdentityWithCredentials.t/0","type":"type"},{"doc":"Create Identity and Import Social Sign In Credentials","ref":"Ory.Model.IdentityWithCredentialsOidc.html","title":"Ory.Model.IdentityWithCredentialsOidc","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidc.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsOidc.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfig.html","title":"Ory.Model.IdentityWithCredentialsOidcConfig","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfig.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsOidcConfig.t/0","type":"type"},{"doc":"Create Identity and Import Social Sign In Credentials Configuration","ref":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.html","title":"Ory.Model.IdentityWithCredentialsOidcConfigProvider","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsOidcConfigProvider.t/0","type":"type"},{"doc":"Create Identity and Import Password Credentials","ref":"Ory.Model.IdentityWithCredentialsPassword.html","title":"Ory.Model.IdentityWithCredentialsPassword","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsPassword.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsPassword.t/0","type":"type"},{"doc":"Create Identity and Import Password Credentials Configuration","ref":"Ory.Model.IdentityWithCredentialsPasswordConfig.html","title":"Ory.Model.IdentityWithCredentialsPasswordConfig","type":"module"},{"doc":"","ref":"Ory.Model.IdentityWithCredentialsPasswordConfig.html#t:t/0","title":"Ory.Model.IdentityWithCredentialsPasswordConfig.t/0","type":"type"},{"doc":"Get Project Branding Request Body","ref":"Ory.Model.InternalGetProjectBrandingBody.html","title":"Ory.Model.InternalGetProjectBrandingBody","type":"module"},{"doc":"","ref":"Ory.Model.InternalGetProjectBrandingBody.html#t:t/0","title":"Ory.Model.InternalGetProjectBrandingBody.t/0","type":"type"},{"doc":"Is Account Experience Enabled For Project Request Body","ref":"Ory.Model.InternalIsAxWelcomeScreenEnabledForProjectBody.html","title":"Ory.Model.InternalIsAxWelcomeScreenEnabledForProjectBody","type":"module"},{"doc":"","ref":"Ory.Model.InternalIsAxWelcomeScreenEnabledForProjectBody.html#t:t/0","title":"Ory.Model.InternalIsAxWelcomeScreenEnabledForProjectBody.t/0","type":"type"},{"doc":"Is Owner For Project By Slug Request Body","ref":"Ory.Model.InternalIsOwnerForProjectBySlugBody.html","title":"Ory.Model.InternalIsOwnerForProjectBySlugBody","type":"module"},{"doc":"","ref":"Ory.Model.InternalIsOwnerForProjectBySlugBody.html#t:t/0","title":"Ory.Model.InternalIsOwnerForProjectBySlugBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.InternalIsOwnerForProjectBySlugResponse.html","title":"Ory.Model.InternalIsOwnerForProjectBySlugResponse","type":"module"},{"doc":"","ref":"Ory.Model.InternalIsOwnerForProjectBySlugResponse.html#t:t/0","title":"Ory.Model.InternalIsOwnerForProjectBySlugResponse.t/0","type":"type"},{"doc":"Internal Provision Mock Subscription Request Body","ref":"Ory.Model.InternalProvisionMockSubscription.html","title":"Ory.Model.InternalProvisionMockSubscription","type":"module"},{"doc":"","ref":"Ory.Model.InternalProvisionMockSubscription.html#t:t/0","title":"Ory.Model.InternalProvisionMockSubscription.t/0","type":"type"},{"doc":"Introspection contains an access token's session data as specified by [IETF RFC 7662](https://tools.ietf.org/html/rfc7662)","ref":"Ory.Model.IntrospectedOAuth2Token.html","title":"Ory.Model.IntrospectedOAuth2Token","type":"module"},{"doc":"","ref":"Ory.Model.IntrospectedOAuth2Token.html#t:t/0","title":"Ory.Model.IntrospectedOAuth2Token.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IsOwnerForProjectBySlug.html","title":"Ory.Model.IsOwnerForProjectBySlug","type":"module"},{"doc":"","ref":"Ory.Model.IsOwnerForProjectBySlug.html#t:t/0","title":"Ory.Model.IsOwnerForProjectBySlug.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IsReady200Response.html","title":"Ory.Model.IsReady200Response","type":"module"},{"doc":"","ref":"Ory.Model.IsReady200Response.html#t:t/0","title":"Ory.Model.IsReady200Response.t/0","type":"type"},{"doc":"","ref":"Ory.Model.IsReady503Response.html","title":"Ory.Model.IsReady503Response","type":"module"},{"doc":"","ref":"Ory.Model.IsReady503Response.html#t:t/0","title":"Ory.Model.IsReady503Response.t/0","type":"type"},{"doc":"A JSONPatch document as defined by RFC 6902","ref":"Ory.Model.JsonPatch.html","title":"Ory.Model.JsonPatch","type":"module"},{"doc":"","ref":"Ory.Model.JsonPatch.html#t:t/0","title":"Ory.Model.JsonPatch.t/0","type":"type"},{"doc":"","ref":"Ory.Model.JsonWebKey.html","title":"Ory.Model.JsonWebKey","type":"module"},{"doc":"","ref":"Ory.Model.JsonWebKey.html#t:t/0","title":"Ory.Model.JsonWebKey.t/0","type":"type"},{"doc":"JSON Web Key Set","ref":"Ory.Model.JsonWebKeySet.html","title":"Ory.Model.JsonWebKeySet","type":"module"},{"doc":"","ref":"Ory.Model.JsonWebKeySet.html#t:t/0","title":"Ory.Model.JsonWebKeySet.t/0","type":"type"},{"doc":"","ref":"Ory.Model.KetoNamespace.html","title":"Ory.Model.KetoNamespace","type":"module"},{"doc":"","ref":"Ory.Model.KetoNamespace.html#t:t/0","title":"Ory.Model.KetoNamespace.t/0","type":"type"},{"doc":"B2B SSO Organization List","ref":"Ory.Model.ListOrganizationsResponse.html","title":"Ory.Model.ListOrganizationsResponse","type":"module"},{"doc":"","ref":"Ory.Model.ListOrganizationsResponse.html#t:t/0","title":"Ory.Model.ListOrganizationsResponse.t/0","type":"type"},{"doc":"This object represents a login flow. A login flow is initiated at the \"Initiate Login API / Browser Flow\" endpoint by a client.  Once a login flow is completed successfully, a session cookie or session token will be issued.","ref":"Ory.Model.LoginFlow.html","title":"Ory.Model.LoginFlow","type":"module"},{"doc":"","ref":"Ory.Model.LoginFlow.html#t:t/0","title":"Ory.Model.LoginFlow.t/0","type":"type"},{"doc":"The state represents the state of the login flow.  choose_method: ask the user to choose a method (e.g. login account via email) sent_email: the email has been sent to the user passed_challenge: the request was successful and the login challenge was passed.","ref":"Ory.Model.LoginFlowState.html","title":"Ory.Model.LoginFlowState","type":"module"},{"doc":"","ref":"Ory.Model.LoginFlowState.html#t:t/0","title":"Ory.Model.LoginFlowState.t/0","type":"type"},{"doc":"Logout Flow","ref":"Ory.Model.LogoutFlow.html","title":"Ory.Model.LogoutFlow","type":"module"},{"doc":"","ref":"Ory.Model.LogoutFlow.html#t:t/0","title":"Ory.Model.LogoutFlow.t/0","type":"type"},{"doc":"Together the name and identity uuid are a unique index constraint. This prevents a user from having schemas with the same name. This also allows schemas to have the same name across the system.","ref":"Ory.Model.ManagedIdentitySchema.html","title":"Ory.Model.ManagedIdentitySchema","type":"module"},{"doc":"","ref":"Ory.Model.ManagedIdentitySchema.html#t:t/0","title":"Ory.Model.ManagedIdentitySchema.t/0","type":"type"},{"doc":"Ory Identity Schema Validation Result","ref":"Ory.Model.ManagedIdentitySchemaValidationResult.html","title":"Ory.Model.ManagedIdentitySchemaValidationResult","type":"module"},{"doc":"","ref":"Ory.Model.ManagedIdentitySchemaValidationResult.html#t:t/0","title":"Ory.Model.ManagedIdentitySchemaValidationResult.t/0","type":"type"},{"doc":"","ref":"Ory.Model.MemberInvite.html","title":"Ory.Model.MemberInvite","type":"module"},{"doc":"","ref":"Ory.Model.MemberInvite.html#t:t/0","title":"Ory.Model.MemberInvite.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Message.html","title":"Ory.Model.Message","type":"module"},{"doc":"","ref":"Ory.Model.Message.html#t:t/0","title":"Ory.Model.Message.t/0","type":"type"},{"doc":"MessageDispatch represents an attempt of sending a courier message It contains the status of the attempt (failed or successful) and the error if any occured","ref":"Ory.Model.MessageDispatch.html","title":"Ory.Model.MessageDispatch","type":"module"},{"doc":"","ref":"Ory.Model.MessageDispatch.html#t:t/0","title":"Ory.Model.MessageDispatch.t/0","type":"type"},{"doc":"Represents a single datapoint/bucket of a time series","ref":"Ory.Model.MetricsDatapoint.html","title":"Ory.Model.MetricsDatapoint","type":"module"},{"doc":"","ref":"Ory.Model.MetricsDatapoint.html#t:t/0","title":"Ory.Model.MetricsDatapoint.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Namespace.html","title":"Ory.Model.Namespace","type":"module"},{"doc":"","ref":"Ory.Model.Namespace.html#t:t/0","title":"Ory.Model.Namespace.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NeedsPrivilegedSessionError.html","title":"Ory.Model.NeedsPrivilegedSessionError","type":"module"},{"doc":"","ref":"Ory.Model.NeedsPrivilegedSessionError.html#t:t/0","title":"Ory.Model.NeedsPrivilegedSessionError.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NormalizedProject.html","title":"Ory.Model.NormalizedProject","type":"module"},{"doc":"","ref":"Ory.Model.NormalizedProject.html#t:t/0","title":"Ory.Model.NormalizedProject.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevision.html","title":"Ory.Model.NormalizedProjectRevision","type":"module"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevision.html#t:t/0","title":"Ory.Model.NormalizedProjectRevision.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionHook.html","title":"Ory.Model.NormalizedProjectRevisionHook","type":"module"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionHook.html#t:t/0","title":"Ory.Model.NormalizedProjectRevisionHook.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionIdentitySchema.html","title":"Ory.Model.NormalizedProjectRevisionIdentitySchema","type":"module"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionIdentitySchema.html#t:t/0","title":"Ory.Model.NormalizedProjectRevisionIdentitySchema.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionThirdPartyProvider.html","title":"Ory.Model.NormalizedProjectRevisionThirdPartyProvider","type":"module"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionThirdPartyProvider.html#t:t/0","title":"Ory.Model.NormalizedProjectRevisionThirdPartyProvider.t/0","type":"type"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionTokenizerTemplate.html","title":"Ory.Model.NormalizedProjectRevisionTokenizerTemplate","type":"module"},{"doc":"","ref":"Ory.Model.NormalizedProjectRevisionTokenizerTemplate.html#t:t/0","title":"Ory.Model.NormalizedProjectRevisionTokenizerTemplate.t/0","type":"type"},{"doc":"OAuth 2.0 Clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.","ref":"Ory.Model.OAuth2Client.html","title":"Ory.Model.OAuth2Client","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2Client.html#t:t/0","title":"Ory.Model.OAuth2Client.t/0","type":"type"},{"doc":"Lifespans of different token types issued for this OAuth 2.0 Client.","ref":"Ory.Model.OAuth2ClientTokenLifespans.html","title":"Ory.Model.OAuth2ClientTokenLifespans","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2ClientTokenLifespans.html#t:t/0","title":"Ory.Model.OAuth2ClientTokenLifespans.t/0","type":"type"},{"doc":"","ref":"Ory.Model.OAuth2ConsentRequest.html","title":"Ory.Model.OAuth2ConsentRequest","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2ConsentRequest.html#t:t/0","title":"Ory.Model.OAuth2ConsentRequest.t/0","type":"type"},{"doc":"","ref":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.html","title":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.html#t:t/0","title":"Ory.Model.OAuth2ConsentRequestOpenIdConnectContext.t/0","type":"type"},{"doc":"A completed OAuth 2.0 Consent Session.","ref":"Ory.Model.OAuth2ConsentSession.html","title":"Ory.Model.OAuth2ConsentSession","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2ConsentSession.html#t:t/0","title":"Ory.Model.OAuth2ConsentSession.t/0","type":"type"},{"doc":"","ref":"Ory.Model.OAuth2ConsentSessionExpiresAt.html","title":"Ory.Model.OAuth2ConsentSessionExpiresAt","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2ConsentSessionExpiresAt.html#t:t/0","title":"Ory.Model.OAuth2ConsentSessionExpiresAt.t/0","type":"type"},{"doc":"","ref":"Ory.Model.OAuth2LoginRequest.html","title":"Ory.Model.OAuth2LoginRequest","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2LoginRequest.html#t:t/0","title":"Ory.Model.OAuth2LoginRequest.t/0","type":"type"},{"doc":"","ref":"Ory.Model.OAuth2LogoutRequest.html","title":"Ory.Model.OAuth2LogoutRequest","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2LogoutRequest.html#t:t/0","title":"Ory.Model.OAuth2LogoutRequest.t/0","type":"type"},{"doc":"Contains a redirect URL used to complete a login, consent, or logout request.","ref":"Ory.Model.OAuth2RedirectTo.html","title":"Ory.Model.OAuth2RedirectTo","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2RedirectTo.html#t:t/0","title":"Ory.Model.OAuth2RedirectTo.t/0","type":"type"},{"doc":"OAuth2 Token Exchange Result","ref":"Ory.Model.OAuth2TokenExchange.html","title":"Ory.Model.OAuth2TokenExchange","type":"module"},{"doc":"","ref":"Ory.Model.OAuth2TokenExchange.html#t:t/0","title":"Ory.Model.OAuth2TokenExchange.t/0","type":"type"},{"doc":"Includes links to several endpoints (for example `/oauth2/token`) and exposes information on supported signature algorithms among others.","ref":"Ory.Model.OidcConfiguration.html","title":"Ory.Model.OidcConfiguration","type":"module"},{"doc":"","ref":"Ory.Model.OidcConfiguration.html#t:t/0","title":"Ory.Model.OidcConfiguration.t/0","type":"type"},{"doc":"OpenID Connect Userinfo","ref":"Ory.Model.OidcUserInfo.html","title":"Ory.Model.OidcUserInfo","type":"module"},{"doc":"","ref":"Ory.Model.OidcUserInfo.html#t:t/0","title":"Ory.Model.OidcUserInfo.t/0","type":"type"},{"doc":"B2B SSO Organization","ref":"Ory.Model.Organization.html","title":"Ory.Model.Organization","type":"module"},{"doc":"","ref":"Ory.Model.Organization.html#t:t/0","title":"Ory.Model.Organization.t/0","type":"type"},{"doc":"Create B2B SSO Organization Request Body","ref":"Ory.Model.OrganizationBody.html","title":"Ory.Model.OrganizationBody","type":"module"},{"doc":"","ref":"Ory.Model.OrganizationBody.html#t:t/0","title":"Ory.Model.OrganizationBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Pagination.html","title":"Ory.Model.Pagination","type":"module"},{"doc":"","ref":"Ory.Model.Pagination.html#t:t/0","title":"Ory.Model.Pagination.t/0","type":"type"},{"doc":"","ref":"Ory.Model.PaginationHeaders.html","title":"Ory.Model.PaginationHeaders","type":"module"},{"doc":"","ref":"Ory.Model.PaginationHeaders.html#t:t/0","title":"Ory.Model.PaginationHeaders.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ParseError.html","title":"Ory.Model.ParseError","type":"module"},{"doc":"","ref":"Ory.Model.ParseError.html#t:t/0","title":"Ory.Model.ParseError.t/0","type":"type"},{"doc":"Patch Identities Body","ref":"Ory.Model.PatchIdentitiesBody.html","title":"Ory.Model.PatchIdentitiesBody","type":"module"},{"doc":"","ref":"Ory.Model.PatchIdentitiesBody.html#t:t/0","title":"Ory.Model.PatchIdentitiesBody.t/0","type":"type"},{"doc":"Perform Native Logout Request Body","ref":"Ory.Model.PerformNativeLogoutBody.html","title":"Ory.Model.PerformNativeLogoutBody","type":"module"},{"doc":"","ref":"Ory.Model.PerformNativeLogoutBody.html#t:t/0","title":"Ory.Model.PerformNativeLogoutBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Plan.html","title":"Ory.Model.Plan","type":"module"},{"doc":"","ref":"Ory.Model.Plan.html#t:t/0","title":"Ory.Model.Plan.t/0","type":"type"},{"doc":"","ref":"Ory.Model.PlanDetails.html","title":"Ory.Model.PlanDetails","type":"module"},{"doc":"","ref":"Ory.Model.PlanDetails.html#t:t/0","title":"Ory.Model.PlanDetails.t/0","type":"type"},{"doc":"Check Permission using Post Request Body","ref":"Ory.Model.PostCheckPermissionBody.html","title":"Ory.Model.PostCheckPermissionBody","type":"module"},{"doc":"","ref":"Ory.Model.PostCheckPermissionBody.html#t:t/0","title":"Ory.Model.PostCheckPermissionBody.t/0","type":"type"},{"doc":"Post Check Permission Or Error Body","ref":"Ory.Model.PostCheckPermissionOrErrorBody.html","title":"Ory.Model.PostCheckPermissionOrErrorBody","type":"module"},{"doc":"","ref":"Ory.Model.PostCheckPermissionOrErrorBody.html#t:t/0","title":"Ory.Model.PostCheckPermissionOrErrorBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Project.html","title":"Ory.Model.Project","type":"module"},{"doc":"","ref":"Ory.Model.Project.html#t:t/0","title":"Ory.Model.Project.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectApiKey.html","title":"Ory.Model.ProjectApiKey","type":"module"},{"doc":"","ref":"Ory.Model.ProjectApiKey.html#t:t/0","title":"Ory.Model.ProjectApiKey.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectBranding.html","title":"Ory.Model.ProjectBranding","type":"module"},{"doc":"","ref":"Ory.Model.ProjectBranding.html#t:t/0","title":"Ory.Model.ProjectBranding.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectBrandingColors.html","title":"Ory.Model.ProjectBrandingColors","type":"module"},{"doc":"","ref":"Ory.Model.ProjectBrandingColors.html#t:t/0","title":"Ory.Model.ProjectBrandingColors.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectBrandingTheme.html","title":"Ory.Model.ProjectBrandingTheme","type":"module"},{"doc":"","ref":"Ory.Model.ProjectBrandingTheme.html#t:t/0","title":"Ory.Model.ProjectBrandingTheme.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectCors.html","title":"Ory.Model.ProjectCors","type":"module"},{"doc":"","ref":"Ory.Model.ProjectCors.html#t:t/0","title":"Ory.Model.ProjectCors.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectHost.html","title":"Ory.Model.ProjectHost","type":"module"},{"doc":"","ref":"Ory.Model.ProjectHost.html#t:t/0","title":"Ory.Model.ProjectHost.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectMetadata.html","title":"Ory.Model.ProjectMetadata","type":"module"},{"doc":"","ref":"Ory.Model.ProjectMetadata.html#t:t/0","title":"Ory.Model.ProjectMetadata.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectServiceIdentity.html","title":"Ory.Model.ProjectServiceIdentity","type":"module"},{"doc":"","ref":"Ory.Model.ProjectServiceIdentity.html#t:t/0","title":"Ory.Model.ProjectServiceIdentity.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectServiceOAuth2.html","title":"Ory.Model.ProjectServiceOAuth2","type":"module"},{"doc":"","ref":"Ory.Model.ProjectServiceOAuth2.html#t:t/0","title":"Ory.Model.ProjectServiceOAuth2.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectServicePermission.html","title":"Ory.Model.ProjectServicePermission","type":"module"},{"doc":"","ref":"Ory.Model.ProjectServicePermission.html#t:t/0","title":"Ory.Model.ProjectServicePermission.t/0","type":"type"},{"doc":"","ref":"Ory.Model.ProjectServices.html","title":"Ory.Model.ProjectServices","type":"module"},{"doc":"","ref":"Ory.Model.ProjectServices.html#t:t/0","title":"Ory.Model.ProjectServices.t/0","type":"type"},{"doc":"","ref":"Ory.Model.QuotaUsage.html","title":"Ory.Model.QuotaUsage","type":"module"},{"doc":"","ref":"Ory.Model.QuotaUsage.html#t:t/0","title":"Ory.Model.QuotaUsage.t/0","type":"type"},{"doc":"Used when an administrator creates a recovery code for an identity.","ref":"Ory.Model.RecoveryCodeForIdentity.html","title":"Ory.Model.RecoveryCodeForIdentity","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryCodeForIdentity.html#t:t/0","title":"Ory.Model.RecoveryCodeForIdentity.t/0","type":"type"},{"doc":"This request is used when an identity wants to recover their account.  We recommend reading the [Account Recovery Documentation](../self-service/flows/password-reset-account-recovery)","ref":"Ory.Model.RecoveryFlow.html","title":"Ory.Model.RecoveryFlow","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryFlow.html#t:t/0","title":"Ory.Model.RecoveryFlow.t/0","type":"type"},{"doc":"The state represents the state of the recovery flow.  choose_method: ask the user to choose a method (e.g. recover account via email) sent_email: the email has been sent to the user passed_challenge: the request was successful and the recovery challenge was passed.","ref":"Ory.Model.RecoveryFlowState.html","title":"Ory.Model.RecoveryFlowState","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryFlowState.html#t:t/0","title":"Ory.Model.RecoveryFlowState.t/0","type":"type"},{"doc":"","ref":"Ory.Model.RecoveryIdentityAddress.html","title":"Ory.Model.RecoveryIdentityAddress","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryIdentityAddress.html#t:t/0","title":"Ory.Model.RecoveryIdentityAddress.t/0","type":"type"},{"doc":"Used when an administrator creates a recovery link for an identity.","ref":"Ory.Model.RecoveryLinkForIdentity.html","title":"Ory.Model.RecoveryLinkForIdentity","type":"module"},{"doc":"","ref":"Ory.Model.RecoveryLinkForIdentity.html#t:t/0","title":"Ory.Model.RecoveryLinkForIdentity.t/0","type":"type"},{"doc":"","ref":"Ory.Model.RegistrationFlow.html","title":"Ory.Model.RegistrationFlow","type":"module"},{"doc":"","ref":"Ory.Model.RegistrationFlow.html#t:t/0","title":"Ory.Model.RegistrationFlow.t/0","type":"type"},{"doc":"choose_method: ask the user to choose a method (e.g. registration with email) sent_email: the email has been sent to the user passed_challenge: the request was successful and the registration challenge was passed.","ref":"Ory.Model.RegistrationFlowState.html","title":"Ory.Model.RegistrationFlowState","type":"module"},{"doc":"","ref":"Ory.Model.RegistrationFlowState.html#t:t/0","title":"Ory.Model.RegistrationFlowState.t/0","type":"type"},{"doc":"","ref":"Ory.Model.RejectOAuth2Request.html","title":"Ory.Model.RejectOAuth2Request","type":"module"},{"doc":"","ref":"Ory.Model.RejectOAuth2Request.html#t:t/0","title":"Ory.Model.RejectOAuth2Request.t/0","type":"type"},{"doc":"Relation Query","ref":"Ory.Model.RelationQuery.html","title":"Ory.Model.RelationQuery","type":"module"},{"doc":"","ref":"Ory.Model.RelationQuery.html#t:t/0","title":"Ory.Model.RelationQuery.t/0","type":"type"},{"doc":"Relationship","ref":"Ory.Model.Relationship.html","title":"Ory.Model.Relationship","type":"module"},{"doc":"","ref":"Ory.Model.Relationship.html#t:t/0","title":"Ory.Model.Relationship.t/0","type":"type"},{"doc":"Relationship Namespace List","ref":"Ory.Model.RelationshipNamespaces.html","title":"Ory.Model.RelationshipNamespaces","type":"module"},{"doc":"","ref":"Ory.Model.RelationshipNamespaces.html#t:t/0","title":"Ory.Model.RelationshipNamespaces.t/0","type":"type"},{"doc":"Payload for patching a relationship","ref":"Ory.Model.RelationshipPatch.html","title":"Ory.Model.RelationshipPatch","type":"module"},{"doc":"","ref":"Ory.Model.RelationshipPatch.html#t:t/0","title":"Ory.Model.RelationshipPatch.t/0","type":"type"},{"doc":"Paginated Relationship List","ref":"Ory.Model.Relationships.html","title":"Ory.Model.Relationships","type":"module"},{"doc":"","ref":"Ory.Model.Relationships.html#t:t/0","title":"Ory.Model.Relationships.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Rfc6749ErrorJson.html","title":"Ory.Model.Rfc6749ErrorJson","type":"module"},{"doc":"","ref":"Ory.Model.Rfc6749ErrorJson.html#t:t/0","title":"Ory.Model.Rfc6749ErrorJson.t/0","type":"type"},{"doc":"","ref":"Ory.Model.SchemaPatch.html","title":"Ory.Model.SchemaPatch","type":"module"},{"doc":"","ref":"Ory.Model.SchemaPatch.html#t:t/0","title":"Ory.Model.SchemaPatch.t/0","type":"type"},{"doc":"Is sent when a flow is expired","ref":"Ory.Model.SelfServiceFlowExpiredError.html","title":"Ory.Model.SelfServiceFlowExpiredError","type":"module"},{"doc":"","ref":"Ory.Model.SelfServiceFlowExpiredError.html#t:t/0","title":"Ory.Model.SelfServiceFlowExpiredError.t/0","type":"type"},{"doc":"A Session","ref":"Ory.Model.Session.html","title":"Ory.Model.Session","type":"module"},{"doc":"","ref":"Ory.Model.Session.html#t:t/0","title":"Ory.Model.Session.t/0","type":"type"},{"doc":"","ref":"Ory.Model.SessionActivityDatapoint.html","title":"Ory.Model.SessionActivityDatapoint","type":"module"},{"doc":"","ref":"Ory.Model.SessionActivityDatapoint.html#t:t/0","title":"Ory.Model.SessionActivityDatapoint.t/0","type":"type"},{"doc":"A singular authenticator used during authentication / login.","ref":"Ory.Model.SessionAuthenticationMethod.html","title":"Ory.Model.SessionAuthenticationMethod","type":"module"},{"doc":"","ref":"Ory.Model.SessionAuthenticationMethod.html#t:t/0","title":"Ory.Model.SessionAuthenticationMethod.t/0","type":"type"},{"doc":"Device corresponding to a Session","ref":"Ory.Model.SessionDevice.html","title":"Ory.Model.SessionDevice","type":"module"},{"doc":"","ref":"Ory.Model.SessionDevice.html#t:t/0","title":"Ory.Model.SessionDevice.t/0","type":"type"},{"doc":"Set active project in the Ory Network Console Request Body","ref":"Ory.Model.SetActiveProjectInConsoleBody.html","title":"Ory.Model.SetActiveProjectInConsoleBody","type":"module"},{"doc":"","ref":"Ory.Model.SetActiveProjectInConsoleBody.html#t:t/0","title":"Ory.Model.SetActiveProjectInConsoleBody.t/0","type":"type"},{"doc":"Update Custom Hostname Body","ref":"Ory.Model.SetCustomDomainBody.html","title":"Ory.Model.SetCustomDomainBody","type":"module"},{"doc":"","ref":"Ory.Model.SetCustomDomainBody.html#t:t/0","title":"Ory.Model.SetCustomDomainBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.SetProject.html","title":"Ory.Model.SetProject","type":"module"},{"doc":"","ref":"Ory.Model.SetProject.html#t:t/0","title":"Ory.Model.SetProject.t/0","type":"type"},{"doc":"","ref":"Ory.Model.SetProjectBrandingThemeBody.html","title":"Ory.Model.SetProjectBrandingThemeBody","type":"module"},{"doc":"","ref":"Ory.Model.SetProjectBrandingThemeBody.html#t:t/0","title":"Ory.Model.SetProjectBrandingThemeBody.t/0","type":"type"},{"doc":"This flow is used when an identity wants to update settings (e.g. profile data, passwords, ...) in a selfservice manner.  We recommend reading the [User Settings Documentation](../self-service/flows/user-settings)","ref":"Ory.Model.SettingsFlow.html","title":"Ory.Model.SettingsFlow","type":"module"},{"doc":"","ref":"Ory.Model.SettingsFlow.html#t:t/0","title":"Ory.Model.SettingsFlow.t/0","type":"type"},{"doc":"show_form: No user data has been collected, or it is invalid, and thus the form should be shown. success: Indicates that the settings flow has been updated successfully with the provided data. Done will stay true when repeatedly checking. If set to true, done will revert back to false only when a flow with invalid (e.g. \"please use a valid phone number\") data was sent.","ref":"Ory.Model.SettingsFlowState.html","title":"Ory.Model.SettingsFlowState","type":"module"},{"doc":"","ref":"Ory.Model.SettingsFlowState.html#t:t/0","title":"Ory.Model.SettingsFlowState.t/0","type":"type"},{"doc":"","ref":"Ory.Model.SourcePosition.html","title":"Ory.Model.SourcePosition","type":"module"},{"doc":"","ref":"Ory.Model.SourcePosition.html#t:t/0","title":"Ory.Model.SourcePosition.t/0","type":"type"},{"doc":"","ref":"Ory.Model.StripeCustomer.html","title":"Ory.Model.StripeCustomer","type":"module"},{"doc":"","ref":"Ory.Model.StripeCustomer.html#t:t/0","title":"Ory.Model.StripeCustomer.t/0","type":"type"},{"doc":"","ref":"Ory.Model.SubjectSet.html","title":"Ory.Model.SubjectSet","type":"module"},{"doc":"","ref":"Ory.Model.SubjectSet.html#t:t/0","title":"Ory.Model.SubjectSet.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Subscription.html","title":"Ory.Model.Subscription","type":"module"},{"doc":"","ref":"Ory.Model.Subscription.html#t:t/0","title":"Ory.Model.Subscription.t/0","type":"type"},{"doc":"The Response for Registration Flows via API","ref":"Ory.Model.SuccessfulCodeExchangeResponse.html","title":"Ory.Model.SuccessfulCodeExchangeResponse","type":"module"},{"doc":"","ref":"Ory.Model.SuccessfulCodeExchangeResponse.html#t:t/0","title":"Ory.Model.SuccessfulCodeExchangeResponse.t/0","type":"type"},{"doc":"The Response for Login Flows via API","ref":"Ory.Model.SuccessfulNativeLogin.html","title":"Ory.Model.SuccessfulNativeLogin","type":"module"},{"doc":"","ref":"Ory.Model.SuccessfulNativeLogin.html#t:t/0","title":"Ory.Model.SuccessfulNativeLogin.t/0","type":"type"},{"doc":"The Response for Registration Flows via API","ref":"Ory.Model.SuccessfulNativeRegistration.html","title":"Ory.Model.SuccessfulNativeRegistration","type":"module"},{"doc":"","ref":"Ory.Model.SuccessfulNativeRegistration.html#t:t/0","title":"Ory.Model.SuccessfulNativeRegistration.t/0","type":"type"},{"doc":"","ref":"Ory.Model.SuccessfulProjectUpdate.html","title":"Ory.Model.SuccessfulProjectUpdate","type":"module"},{"doc":"","ref":"Ory.Model.SuccessfulProjectUpdate.html#t:t/0","title":"Ory.Model.SuccessfulProjectUpdate.t/0","type":"type"},{"doc":"","ref":"Ory.Model.TokenPagination.html","title":"Ory.Model.TokenPagination","type":"module"},{"doc":"","ref":"Ory.Model.TokenPagination.html#t:t/0","title":"Ory.Model.TokenPagination.t/0","type":"type"},{"doc":"","ref":"Ory.Model.TokenPaginationHeaders.html","title":"Ory.Model.TokenPaginationHeaders","type":"module"},{"doc":"","ref":"Ory.Model.TokenPaginationHeaders.html#t:t/0","title":"Ory.Model.TokenPaginationHeaders.t/0","type":"type"},{"doc":"The `Link` HTTP header contains multiple links (`first`, `next`, `last`, `previous`) formatted as: ` ; rel=\"{page}\"`  For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).","ref":"Ory.Model.TokenPaginationRequestParameters.html","title":"Ory.Model.TokenPaginationRequestParameters","type":"module"},{"doc":"","ref":"Ory.Model.TokenPaginationRequestParameters.html#t:t/0","title":"Ory.Model.TokenPaginationRequestParameters.t/0","type":"type"},{"doc":"The `Link` HTTP header contains multiple links (`first`, `next`, `last`, `previous`) formatted as: ` ; rel=\"{page}\"`  For details on pagination please head over to the [pagination documentation](https://www.ory.sh/docs/ecosystem/api-design#pagination).","ref":"Ory.Model.TokenPaginationResponseHeaders.html","title":"Ory.Model.TokenPaginationResponseHeaders","type":"module"},{"doc":"","ref":"Ory.Model.TokenPaginationResponseHeaders.html#t:t/0","title":"Ory.Model.TokenPaginationResponseHeaders.t/0","type":"type"},{"doc":"Trust OAuth2 JWT Bearer Grant Type Issuer Request Body","ref":"Ory.Model.TrustOAuth2JwtGrantIssuer.html","title":"Ory.Model.TrustOAuth2JwtGrantIssuer","type":"module"},{"doc":"","ref":"Ory.Model.TrustOAuth2JwtGrantIssuer.html#t:t/0","title":"Ory.Model.TrustOAuth2JwtGrantIssuer.t/0","type":"type"},{"doc":"OAuth2 JWT Bearer Grant Type Issuer Trust Relationship","ref":"Ory.Model.TrustedOAuth2JwtGrantIssuer.html","title":"Ory.Model.TrustedOAuth2JwtGrantIssuer","type":"module"},{"doc":"","ref":"Ory.Model.TrustedOAuth2JwtGrantIssuer.html#t:t/0","title":"Ory.Model.TrustedOAuth2JwtGrantIssuer.t/0","type":"type"},{"doc":"OAuth2 JWT Bearer Grant Type Issuer Trusted JSON Web Key","ref":"Ory.Model.TrustedOAuth2JwtGrantJsonWebKey.html","title":"Ory.Model.TrustedOAuth2JwtGrantJsonWebKey","type":"module"},{"doc":"","ref":"Ory.Model.TrustedOAuth2JwtGrantJsonWebKey.html#t:t/0","title":"Ory.Model.TrustedOAuth2JwtGrantJsonWebKey.t/0","type":"type"},{"doc":"Container represents a HTML Form. The container can work with both HTTP Form and JSON requests","ref":"Ory.Model.UiContainer.html","title":"Ory.Model.UiContainer","type":"module"},{"doc":"","ref":"Ory.Model.UiContainer.html#t:t/0","title":"Ory.Model.UiContainer.t/0","type":"type"},{"doc":"Nodes are represented as HTML elements or their native UI equivalents. For example, a node can be an ` ` tag, or an ` ` but also `some plain text`.","ref":"Ory.Model.UiNode.html","title":"Ory.Model.UiNode","type":"module"},{"doc":"","ref":"Ory.Model.UiNode.html#t:t/0","title":"Ory.Model.UiNode.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeAnchorAttributes.html","title":"Ory.Model.UiNodeAnchorAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeAnchorAttributes.html#t:t/0","title":"Ory.Model.UiNodeAnchorAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeAttributes.html","title":"Ory.Model.UiNodeAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeAttributes.html#t:t/0","title":"Ory.Model.UiNodeAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeImageAttributes.html","title":"Ory.Model.UiNodeImageAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeImageAttributes.html#t:t/0","title":"Ory.Model.UiNodeImageAttributes.t/0","type":"type"},{"doc":"InputAttributes represents the attributes of an input node","ref":"Ory.Model.UiNodeInputAttributes.html","title":"Ory.Model.UiNodeInputAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeInputAttributes.html#t:t/0","title":"Ory.Model.UiNodeInputAttributes.t/0","type":"type"},{"doc":"This might include a label and other information that can optionally be used to render UIs.","ref":"Ory.Model.UiNodeMeta.html","title":"Ory.Model.UiNodeMeta","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeMeta.html#t:t/0","title":"Ory.Model.UiNodeMeta.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeScriptAttributes.html","title":"Ory.Model.UiNodeScriptAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeScriptAttributes.html#t:t/0","title":"Ory.Model.UiNodeScriptAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiNodeTextAttributes.html","title":"Ory.Model.UiNodeTextAttributes","type":"module"},{"doc":"","ref":"Ory.Model.UiNodeTextAttributes.html#t:t/0","title":"Ory.Model.UiNodeTextAttributes.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UiText.html","title":"Ory.Model.UiText","type":"module"},{"doc":"","ref":"Ory.Model.UiText.html#t:t/0","title":"Ory.Model.UiText.t/0","type":"type"},{"doc":"Update Identity Body","ref":"Ory.Model.UpdateIdentityBody.html","title":"Ory.Model.UpdateIdentityBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateIdentityBody.html#t:t/0","title":"Ory.Model.UpdateIdentityBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowBody.html","title":"Ory.Model.UpdateLoginFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowBody.html#t:t/0","title":"Ory.Model.UpdateLoginFlowBody.t/0","type":"type"},{"doc":"Update Login flow using the code method","ref":"Ory.Model.UpdateLoginFlowWithCodeMethod.html","title":"Ory.Model.UpdateLoginFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Login Flow with Lookup Secret Method","ref":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.html","title":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithLookupSecretMethod.t/0","type":"type"},{"doc":"Update Login Flow with OpenID Connect Method","ref":"Ory.Model.UpdateLoginFlowWithOidcMethod.html","title":"Ory.Model.UpdateLoginFlowWithOidcMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithOidcMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithOidcMethod.t/0","type":"type"},{"doc":"Update Login Flow with Password Method","ref":"Ory.Model.UpdateLoginFlowWithPasswordMethod.html","title":"Ory.Model.UpdateLoginFlowWithPasswordMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithPasswordMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithPasswordMethod.t/0","type":"type"},{"doc":"Update Login Flow with TOTP Method","ref":"Ory.Model.UpdateLoginFlowWithTotpMethod.html","title":"Ory.Model.UpdateLoginFlowWithTotpMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithTotpMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithTotpMethod.t/0","type":"type"},{"doc":"Update Login Flow with WebAuthn Method","ref":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.html","title":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.html#t:t/0","title":"Ory.Model.UpdateLoginFlowWithWebAuthnMethod.t/0","type":"type"},{"doc":"Update Recovery Flow Request Body","ref":"Ory.Model.UpdateRecoveryFlowBody.html","title":"Ory.Model.UpdateRecoveryFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowBody.html#t:t/0","title":"Ory.Model.UpdateRecoveryFlowBody.t/0","type":"type"},{"doc":"Update Recovery Flow with Code Method","ref":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.html","title":"Ory.Model.UpdateRecoveryFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateRecoveryFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Recovery Flow with Link Method","ref":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.html","title":"Ory.Model.UpdateRecoveryFlowWithLinkMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.html#t:t/0","title":"Ory.Model.UpdateRecoveryFlowWithLinkMethod.t/0","type":"type"},{"doc":"Update Registration Request Body","ref":"Ory.Model.UpdateRegistrationFlowBody.html","title":"Ory.Model.UpdateRegistrationFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowBody.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowBody.t/0","type":"type"},{"doc":"Update Registration Flow with Code Method","ref":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Registration Flow with OpenID Connect Method","ref":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithOidcMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithOidcMethod.t/0","type":"type"},{"doc":"Update Registration Flow with Password Method","ref":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithPasswordMethod.t/0","type":"type"},{"doc":"Update Registration Flow with WebAuthn Method","ref":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.html","title":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.html#t:t/0","title":"Ory.Model.UpdateRegistrationFlowWithWebAuthnMethod.t/0","type":"type"},{"doc":"Update Settings Flow Request Body","ref":"Ory.Model.UpdateSettingsFlowBody.html","title":"Ory.Model.UpdateSettingsFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowBody.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowBody.t/0","type":"type"},{"doc":"Update Settings Flow with Lookup Method","ref":"Ory.Model.UpdateSettingsFlowWithLookupMethod.html","title":"Ory.Model.UpdateSettingsFlowWithLookupMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithLookupMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithLookupMethod.t/0","type":"type"},{"doc":"Update Settings Flow with OpenID Connect Method","ref":"Ory.Model.UpdateSettingsFlowWithOidcMethod.html","title":"Ory.Model.UpdateSettingsFlowWithOidcMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithOidcMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithOidcMethod.t/0","type":"type"},{"doc":"Update Settings Flow with Password Method","ref":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.html","title":"Ory.Model.UpdateSettingsFlowWithPasswordMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithPasswordMethod.t/0","type":"type"},{"doc":"Update Settings Flow with Profile Method","ref":"Ory.Model.UpdateSettingsFlowWithProfileMethod.html","title":"Ory.Model.UpdateSettingsFlowWithProfileMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithProfileMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithProfileMethod.t/0","type":"type"},{"doc":"Update Settings Flow with TOTP Method","ref":"Ory.Model.UpdateSettingsFlowWithTotpMethod.html","title":"Ory.Model.UpdateSettingsFlowWithTotpMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithTotpMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithTotpMethod.t/0","type":"type"},{"doc":"Update Settings Flow with WebAuthn Method","ref":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.html","title":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.html#t:t/0","title":"Ory.Model.UpdateSettingsFlowWithWebAuthnMethod.t/0","type":"type"},{"doc":"Update Subscription Request Body","ref":"Ory.Model.UpdateSubscriptionBody.html","title":"Ory.Model.UpdateSubscriptionBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateSubscriptionBody.html#t:t/0","title":"Ory.Model.UpdateSubscriptionBody.t/0","type":"type"},{"doc":"Update Verification Flow Request Body","ref":"Ory.Model.UpdateVerificationFlowBody.html","title":"Ory.Model.UpdateVerificationFlowBody","type":"module"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowBody.html#t:t/0","title":"Ory.Model.UpdateVerificationFlowBody.t/0","type":"type"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithCodeMethod.html","title":"Ory.Model.UpdateVerificationFlowWithCodeMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithCodeMethod.html#t:t/0","title":"Ory.Model.UpdateVerificationFlowWithCodeMethod.t/0","type":"type"},{"doc":"Update Verification Flow with Link Method","ref":"Ory.Model.UpdateVerificationFlowWithLinkMethod.html","title":"Ory.Model.UpdateVerificationFlowWithLinkMethod","type":"module"},{"doc":"","ref":"Ory.Model.UpdateVerificationFlowWithLinkMethod.html#t:t/0","title":"Ory.Model.UpdateVerificationFlowWithLinkMethod.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Usage.html","title":"Ory.Model.Usage","type":"module"},{"doc":"","ref":"Ory.Model.Usage.html#t:t/0","title":"Ory.Model.Usage.t/0","type":"type"},{"doc":"","ref":"Ory.Model.VerifiableCredentialPrimingResponse.html","title":"Ory.Model.VerifiableCredentialPrimingResponse","type":"module"},{"doc":"","ref":"Ory.Model.VerifiableCredentialPrimingResponse.html#t:t/0","title":"Ory.Model.VerifiableCredentialPrimingResponse.t/0","type":"type"},{"doc":"","ref":"Ory.Model.VerifiableCredentialProof.html","title":"Ory.Model.VerifiableCredentialProof","type":"module"},{"doc":"","ref":"Ory.Model.VerifiableCredentialProof.html#t:t/0","title":"Ory.Model.VerifiableCredentialProof.t/0","type":"type"},{"doc":"","ref":"Ory.Model.VerifiableCredentialResponse.html","title":"Ory.Model.VerifiableCredentialResponse","type":"module"},{"doc":"","ref":"Ory.Model.VerifiableCredentialResponse.html#t:t/0","title":"Ory.Model.VerifiableCredentialResponse.t/0","type":"type"},{"doc":"VerifiableAddress is an identity's verifiable address","ref":"Ory.Model.VerifiableIdentityAddress.html","title":"Ory.Model.VerifiableIdentityAddress","type":"module"},{"doc":"","ref":"Ory.Model.VerifiableIdentityAddress.html#t:t/0","title":"Ory.Model.VerifiableIdentityAddress.t/0","type":"type"},{"doc":"Used to verify an out-of-band communication channel such as an email address or a phone number.  For more information head over to: https://www.ory.sh/docs/kratos/self-service/flows/verify-email-account-activation","ref":"Ory.Model.VerificationFlow.html","title":"Ory.Model.VerificationFlow","type":"module"},{"doc":"","ref":"Ory.Model.VerificationFlow.html#t:t/0","title":"Ory.Model.VerificationFlow.t/0","type":"type"},{"doc":"The state represents the state of the verification flow.  choose_method: ask the user to choose a method (e.g. recover account via email) sent_email: the email has been sent to the user passed_challenge: the request was successful and the recovery challenge was passed.","ref":"Ory.Model.VerificationFlowState.html","title":"Ory.Model.VerificationFlowState","type":"module"},{"doc":"","ref":"Ory.Model.VerificationFlowState.html#t:t/0","title":"Ory.Model.VerificationFlowState.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Version.html","title":"Ory.Model.Version","type":"module"},{"doc":"","ref":"Ory.Model.Version.html#t:t/0","title":"Ory.Model.Version.t/0","type":"type"},{"doc":"","ref":"Ory.Model.Warning.html","title":"Ory.Model.Warning","type":"module"},{"doc":"","ref":"Ory.Model.Warning.html#t:t/0","title":"Ory.Model.Warning.t/0","type":"type"},{"doc":"Helper functions for building Tesla requests","ref":"Ory.RequestBuilder.html","title":"Ory.RequestBuilder","type":"module"},{"doc":"Add optional parameters to the request.\n\n#","ref":"Ory.RequestBuilder.html#add_optional_params/3","title":"Ory.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `definitions` (Map) - Map of parameter name to parameter location.\n- `options` (KeywordList) - The provided optional parameters\n\n#","ref":"Ory.RequestBuilder.html#add_optional_params/3-parameters","title":"Parameters - Ory.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#add_optional_params/3-returns","title":"Returns - Ory.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Add non-optional parameters to the request.\n\n#","ref":"Ory.RequestBuilder.html#add_param/4","title":"Ory.RequestBuilder.add_param/4","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `location` (atom) - Where to put the parameter\n- `key` (atom) - The name of the parameter\n- `value` (any) - The value of the parameter\n\n#","ref":"Ory.RequestBuilder.html#add_param/4-parameters","title":"Parameters - Ory.RequestBuilder.add_param/4","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#add_param/4-returns","title":"Returns - Ory.RequestBuilder.add_param/4","type":"function"},{"doc":"This function ensures that the `body` parameter is always set.\n\nWhen using Tesla with the `httpc` adapter (the default adapter), there is a\nbug where POST, PATCH and PUT requests will fail if the body is empty.\n\n#","ref":"Ory.RequestBuilder.html#ensure_body/1","title":"Ory.RequestBuilder.ensure_body/1","type":"function"},{"doc":"- `request` (Map) - Collected request options\n\n#","ref":"Ory.RequestBuilder.html#ensure_body/1-parameters","title":"Parameters - Ory.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#ensure_body/1-returns","title":"Returns - Ory.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Evaluate the response from a Tesla request.\nDecode the response for a Tesla request.\n\n#","ref":"Ory.RequestBuilder.html#evaluate_response/2","title":"Ory.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"- `result` (Tesla.Env.result()): The response from Tesla.request/2.\n- `mapping` ([{http_status, struct}]): The mapping for status to struct for decoding.\n\n#","ref":"Ory.RequestBuilder.html#evaluate_response/2-parameters","title":"Parameters - Ory.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"- `{:ok, struct}` or `{:ok, Tesla.Env.t()}` on success\n- `{:error, term}` on failure","ref":"Ory.RequestBuilder.html#evaluate_response/2-returns","title":"Returns - Ory.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"Specify the request `method` when building a request.\n\nDoes not override the `method` if one has already been specified.\n\n#","ref":"Ory.RequestBuilder.html#method/2","title":"Ory.RequestBuilder.method/2","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `method` (atom) - Request method\n\n#","ref":"Ory.RequestBuilder.html#method/2-parameters","title":"Parameters - Ory.RequestBuilder.method/2","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#method/2-returns","title":"Returns - Ory.RequestBuilder.method/2","type":"function"},{"doc":"Specify the request URL when building a request.\n\nDoes not override the `url` if one has already been specified.\n\n#","ref":"Ory.RequestBuilder.html#url/2","title":"Ory.RequestBuilder.url/2","type":"function"},{"doc":"- `request` (Map) - Collected request options\n- `url` (String) - Request URL\n\n#","ref":"Ory.RequestBuilder.html#url/2-parameters","title":"Parameters - Ory.RequestBuilder.url/2","type":"function"},{"doc":"Map","ref":"Ory.RequestBuilder.html#url/2-returns","title":"Returns - Ory.RequestBuilder.url/2","type":"function"},{"doc":"","ref":"Ory.RequestBuilder.html#t:response_mapping/0","title":"Ory.RequestBuilder.response_mapping/0","type":"type"},{"doc":"","ref":"Ory.RequestBuilder.html#t:status_code/0","title":"Ory.RequestBuilder.status_code/0","type":"type"}]}